# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_1
%define unstable 0
%else
%define unstable 0
%endif

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

Name:		kdebase
Summary:	K Desktop Environment - Core files
Version:	3.1
Release:	83mdk
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
BuildRoot:	%_tmppath/%name-%version-%release-root
PreReq:		kdelibs = %version


Source:		kdebase-3.1.tar.bz2



Source10:	kdebase-3.0-kde.pam



### David - 3.0-0.beta1.8mdk - Mandrake Linux config files. 100 -> 199
Source100:	kdebase-3.0-config-clockappletrc
Source101:	kdebase-3.0-config-dont-start-kpersonalizerrc
Source102:	kdebase-3.0-config-kcookiejarrc
Source103:	kdebase-3.0-config-kcmdisplayrc
# David - 3.0-0.beta1.8mdk - Source104: arts config file - Needed to force arts
#                                       to works in 8bit on PPC (or it will
#                                       produce bad noise)
Source104:	kdebase-3.0-config-kcmartsrc-ppc
Source105:	kdebase-3.0-config-kdeglobals
Source106:	kdebase-3.0-config-kdesktoprc
Source107:	kdebase-3.0-config-kdmrc
Source108:	kdebase-3.0-config-kdmrc-for-7.2-8.0
Source109:	kdebase-3.0-config-khelpcenterrc
Source110:	kdebase-3.0-config-kicker-default-apps-for-mdk
Source111:	kdebase-3.0-config-konsolerc
Source112:	kdebase-3.0-config-kxmlrpcd
## David - 3.0-0.beta1.8mdk - Root's desktop
Source150:	kdebase-3.0-config-root-kdesktoprc
Source151:	kdebase-3.0-config-root-kickerrc
Source152:	kdebase-3.0-config-root-klipper.desktop
Source153:	kdebase-3.0-config-root-Root_interface.kcsrc
Source154:	kdebase-3.0.3-background-Root_interface.png
## David - 3.1-40mdk - root's desktop
Source155:	kdebase-3.1-root-interface.tar.bz2

# Laurent kde-3.1-rc6-6mdk fix kdm background
Source170:	kdebase-3.1-kdm-backgroundrc


### David - 3.0-0.beta1.8mdk - Mandrake Linux menu support. 200 -> 299
## David - 3.0-0.beta1.8mdk - Unified menu. Start at Source200 and stop at Source249
Source200:      kdebase-3.0-menu-method
Source201:      kdebase-3.0-removekdesysmenu.pl
Source202:      kdebase-3.0-restorekdemimetypes.pl
Source203:      kdebase-3.0-savekdemimetypes.pl
Source204:      kdebase-3.0-menu-with-mimetypesupport
Source205:      kdebase-3.0-basedir

# David - 3.0-0.beta1.8mdk - Source206: allow users to use preferences (right
#                            click on K menu -> Preferences).
Source206:      kdebase-3.0-kmenu-preferences-switch-without-simpified-menu-support

# David - 3.0-0.beta1.8mdk - Menu method for Mandrake Linux 8.0
Source210:	kdebase-3.0-menu-method-mdk-8.0


# David - 2.2.2-53mdk - menu-method for MDK 8.1
Source211:  kdebase-3.0-menu-method-mdk-8.1

# David 2.2.2-53mdk - menu-method for MDK 8.2
Source212:  kdebase-3.0-menu-method-mdk-8.2

# David - 2.2.2-54mdk - To create 'What to do?' menu
Source213:  kdebase-3.1-9.1-create-what-to-do-menu


## David - 3.0-0.beta1.8mdk - Simplified menu
Source250:	kdebase-3.0-menu-method-simplified-menu
Source251:      kdebase-3.0-simplified-menu-removekdesysmenu.pl
Source252:      kdebase-3.0-simplified-menu-kdebasedir
# David - 3.0-0.beta1.8mdk - Source253: allow users to use preferences (right
#                                       click on K menu -> Preferences).
Source253:	kdebase-3.0-kmenu-preferences-switch-with-simpified-menu-support

# David - 2.2.2-53mdk - menu-method for simplied menu in MDK 8.2
Source254:  kdebase-3.0-menu-simplified

### David - 3.0-0.beta1.8mdk - Scripts used to configure desktop. 300 -> 399
## David - 3.0-0.beta1.8mdk - User's desktop
Source300:	kdebase-3.0-kdesktop-links
Source301:	kdebase-3.0-ArrangeIcons
Source302:	kdebase-3.0-test-windows-key
Source303:	kdebase-3.0-kdenetwork

# David - 2.2.2-60mdk - For MDK 8.2 only
Source304:  kdebase-3.0-8.2-kdesktop-links

## David - 2.2.2-17mdk - PPC .desktop
# David - 2.2.2-17mdk - To fix undefined symbol... in Kcontrol -> Information
Source310:  kdebase-3.0-kcontrol-ppc


### David - 3.0-0.beta1.8mdk - Default icons on Desktop. 400 -> 499
# David - 3.0-0.beta1.8mdk - Source400 is used (with Source300) to line up icons on
#                      Desktop
Source400:	kdebase-3.0-kdesktop-ArangeIcons.desktop
Source401:	kdebase-3.0-kdesktop-CD-ROM.desktop
Source402:	kdebase-3.0-kdesktop-CD-ROM2.desktop
Source403:	kdebase-3.0-kdesktop-Control-Center.desktop
Source404:	kdebase-3.0-kdesktop-Documentation-de.desktop
Source405:	kdebase-3.0-kdesktop-Documentation-es.desktop
Source406:	kdebase-3.0-kdesktop-Documentation-fr.desktop
Source407:	kdebase-3.0-kdesktop-Documentation-it.desktop
Source408:	kdebase-3.0-kdesktop-Documentation.desktop
Source409:	kdebase-3.0-kdesktop-Floppy.desktop
Source410:	kdebase-3.0-kdesktop-Floppy2.desktop
Source411:	kdebase-3.0-kdesktop-Mandrake_Campus.desktop
Source412:	kdebase-3.0-kdesktop-Mandrake_Expert.desktop
Source413:	kdebase-3.0-kdesktop-Mandrake_News.desktop
Source414:	kdebase-3.0-kdesktop-Mandrake_Store.desktop
Source415:	kdebase-3.0-kdesktop-Printer-kprinter.desktop
Source416:	kdebase-3.0-kdesktop-Printer-kups.desktop
Source417:	kdebase-3.0-kdesktop-Printer-lpr.desktop
Source418:	kdebase-3.0-kdesktop-Printer-qtcups.desktop
Source419:	kdebase-3.0-kdesktop-Printer-xpp.desktop
Source420:	kdebase-3.0-kdesktop-XKill.desktop
Source421:	kdebase-3.0-kdesktop-Zip.desktop
Source422:	kdebase-3.0-kdesktop-Zip2.desktop
Source423:	kdebase-3.0-kdesktop-directory-desktop
# David - 3.0-0.beta1.8mdk - Source424 is only used on PPC
Source424:	kdebase-3.0-kdesktop-Floppy3.desktop
Source425:	kdebase-3.0-connect-to-internet.desktop
Source426:	kdebase-3.0-connect-to-internet2.desktop
Source427:	kdebase-3.0-kdesktop-Mandrake_Club.desktop
Source428:	kdebase-3.0.3-removable_media.directory



### David - 3.0-0.beta1.8mdk - Images used in kdebase programs. 500 -> 599
# David - 3.0-0.beta1.8mdk - Logo used in KDM - Mandrake Linux 8.0
Source500:	kdebase-3.0-kdm-logo-8.0.png
# David - 3.0-0.beta1.8mdk - Logo used in KDM - Mandrake Linux 8.1 and 8.2
Source501:	kdebase-3.0-kdm-logo.png
# David - 3.0-0.beta1.8mdk - Replace image used in Kandalf by a safe one (from a law
#                      point of view)
Source510:	kdebase-3.0-wizard_small.png




### David - 3.0-0.beta1.8mdk - Bookmarks & Co - 600 -> 699
Source600:	kdebase-3.1-bookmarks.xml
# Laurent - 2.2-41mdk - Icons needed for Mandrake Linux Web sites
Source602:	kdebase-3.0-star_transp.png
Source603:	kdebase-3.0-tux_transp.png


Source800:  kdebase-3.0-mdk_web.desktop
Source801:  kdebase-3.0-mdkbizcase_web.desktop
Source802:  kdebase-3.0-mdkcampus_web.desktop
Source803:  kdebase-3.0-mdkexpert_web.desktop
Source804:  kdebase-3.0-mdkforum_web.desktop
Source805:  kdebase-3.0-mdkonline_web.desktop
Source806:  kdebase-3.0-mdkstore_web.desktop

# Laurent - 3.0-7mdk - Add overlay icon for share directory
Source900:  kdebase-3.0.3-mdk-share-20.png
Source901:  kdebase-3.0.3-mdk-share-32.png
Source902:  kdebase-3.0.3-mdk-share-48.png


Source1000:	kdebase-3.0-kde3
#Source1001:	kdebase-3.0-startkde3

Source2000:	kdebase-2.2.2-8.2-kups

Source3000:	kdebase-3.0.3-trash_empty36.png
Source3001:	kdebase-3.0.3-trash_empty52.png
Source3002:	kdebase-3.0.3-trash_full36.png
Source3003:	kdebase-3.0.3-trash_full52.png

# David - 3.0.3-67mkd - Make FB happy - Icon for Mandrake documentation in kicker
Source3100: kdebase-3.0.3-mdkdoc-kicker


# Laurent default color scheme
Source5000:	kdebase-3.1-galaxy.kcsrc

Source5001:	kdebase-3.1-konquerorrc

###             ###
### Patch party ###
###             ###

# Please keep it this section organised

# Please put name of patch in %%changelog and not its number (this one will
# change nearly everytime a spec clean up will be done)

## Menu - 1 -> 10
# David - 3.0-0.beta1.8mdk - Tell Kmenuedit if user use KDE menu or MenuDrake
#                            if user use LMDK menu entries - Thanks to Laurent
#                            MONTEL
Patch1:		kdebase-3.1-launch-menudrake-and-not-kmenuedit-in-K-menu.patch.bz2

# Laurent - 3.0-0.beta1.8mdk - Patch from David FAURE: always return the right
#                              kcontrol path for Mandrake in Menu structure
#                              (Configuration/KDE)
Patch2:        kdebase-3.1-fix-kcontrol-global.patch.bz2



## startkde - 10 -> 19
# David -  - Modify startkde script. ix86 use Windows key to
#                               call the K menu (instead Alt-F1)



## Kicker - 20 -> 29

# David - 2.1.1-8mdk - Laurent: Set right PATH for icons in Kicker
# David - 2.1.1-12mdk - Laurent: always display icons in Kicker
Patch20:        kdebase-3.1-kicker-icons.patch.bz2



# Laurent - ? - Fix default icon size in kcontrol -> panel
Patch22:        kdebase-3.0-icon-size-config-default.diff.bz2

# David - 2.1.1-4mdk - Set kicker's size to small
Patch23:        kdebase-3.0-kicker-default-size-is-small.patch.bz2





## Desktop - 30 -> 39
# David - 3.0-0.beta1.8mdk - Set background's configuration to Flat and
#                            background's color to:
#                               - #666699 for Mandrake Linux 8.0
#                               - #21449C for Mandrake Linux 8.1 and 8.2
Patch30:	kdebase-3.0-default-background-color-mdk-8.0.patch.bz2
Patch31:	kdebase-3.1-default-background-color.patch.bz2



## Screensavers & Co - 40 -> 49
# David - 2.1.1-4mdk - Save the world!: Monitor: standby by after 15mn, Suspend
#                      after 30mn and PowerOff after 45mn
Patch40:    kdebase-3.1-kcmenergy-enable-energy-saving.patch.bz2

# Laurent - ? - Default screensaver lock value
Patch41:    kdebase-3.1-screensaver-lock-default.patch.bz2



## KDM - 50 -> 59
Patch50:	kdebase-3.0-kdmconfig-default-logo.patch.bz2
Patch52:	kdebase-3.1-kdm-sess.patch.bz2
Patch53:	kdebase-3.0-kdm-config.patch.bz2

# Laurent - 2.2.2-5mdk - Disable feedback on cursor when a application is launched
Patch54:    kdebase-3.0-disable-busycursor-by-default.patch.bz2


## Cookies - 60 -> 69
# David - 2.1.1-4mdk - Accept all cookies by default
Patch60:    kdebase-3.1-accept-all-cookies-by-default.patch.bz2



## startkde - 70 -> 79
# David - 2.2.2-53mdk - startkde for MDK 7.2 and 8.0
Patch70:    kdebase-2.2-startkde-7.2-8.0-ix86.patch.bz2
Patch71:    kdebase-2.2-startkde-7.2-8.0-non-ix86.patch.bz2

# David - 2.2.2-53mdk - startkde for MDK 8.1
Patch72:    kdebase-2.2.2-startkde-ix86.patch.bz2
Patch73:    kdebase-2.2.2-startkde-non-ix86.patch.bz2

# David - 2.2.2-53mdk - startkde for MDK 9.1
Patch74:    kdebase-3.1-startkde-ix86.patch.bz2
Patch75:    kdebase-3.1-startkde-9.1-non-ix86.patch.bz2


# Laurent -3.0.2-8mdk - default file size preview.
Patch120:	kdebase-3.0.2-default-preview-file-size.patch.bz2



# Laurent -3.0.2-10mdk - disable file tips by default
Patch123:	kdebase-3.1-disable-file-tips.patch.bz2	



# Laurent - 3.0.2-15mdk - add default desktop background config
Patch126:	kdebase-3.1-fix-default-mdk-color.patch.bz2



# Gwenole - Usual lib64 updates
Patch129:	kde-lib64updates.patch.bz2


# Laurent - 3.0.2-23mdk fix kcontrol->panel write size in qspinbox + apply
Patch131:	kdebase-3.0.2-fix-kcontrol-panel-size.patch.bz2

# Laurent - 3.0.2-24mdk - don't show date in clock applet by default.
Patch132:	kdebase-3.0.2-dont-show-date-by-default.patch.bz2

# Laurent - 3.0.2-25mdk Default mdk-kde colors
Patch133:	kdebase-3.1-mdk-default-colors.patch.bz2

# Laurent - 3.0.2-26mdk - add option --ignorebutton to kdesu dialogbox patch requested by pixel
Patch134:	kdebase-3.0.2-add-option-to-disable-ignore-button.patch.bz2


# Laurent - 3.0.2-29mdk - Default document path ($HOME/Documents)
Patch135:	kdebase-3.0.2-default-document-path.patch.bz2

# Laurent - 3.0.2-32mdk - Default mdk theme color.
Patch136:	kdebase-3.0.2-default-theme-color.patch.bz2


# Laurent - 3.0.3-2mdk - Add logout without confirmation used by krootwarning
Patch137:	kdebase-3.0.3-logout-without-confirmation.patch.bz2

# Laurent - 3.0.3-3mdk - Use localedrake for change system language
Patch138:	kdebase-3.0.3-use-localedrake.patch.bz2

# Laurent - 3.0.3-4mdk - Remove kontour as default apps in kicker
Patch139:	kdebase-3.0.3-remove-kontour-as-default-apps-in-kicker.patch.bz2

# Laurent - 3.0.3-5mdk - Don't resize konsole when we write "reset"
Patch140:	kdebase-3.0.3-dont-resize-konsole-when-we-reset-it.patch.bz2


# Lairent - 3.0.3-7mdk - Default kdm icons directory
Patch142:	kdebase-3.0.3-fix-kdm-default-directory.patch.bz2

# LAurent - 3.0.3-9mdk - fix default konqueror page /usr/share/doc/html/index.html
Patch143:	kdebase-3.0.3-fix-index-html.patch.bz2

# Laurent - 3.0.3-10mdk - remove unexist signal
Patch144:	kdebase-3.0.3-remove-un-exist-signal.patch.bz2

# Laurent - 3.0.3-11mdk - enable by default screensaver
Patch145:	kdebase-3.1-enable-by-default-screensaver.patch.bz2

# Laurent - 3.0.3-11mdk - fix default "window behavior" config
Patch146:	kdebase-3.0.3-fix-windows-default-config.patch.bz2



# Laurent - 3.0.3-11mdk - fix big mem leak into bgsetting
Patch151:	kdebase-3.0.3-fix-big-mem-leak-into-bgsetting.patch.bz2

# Laurent -3.0.3-13mdk - fix mem leak in kfind
Patch152:	kdebase-3.0.3-fix-mem-leak-in-kfind.patch.bz2



# Laurent - 3.0.3-20mdk - fix icons position after change fonts. patch from David Faure .
Patch167:	kdebase-3.0.3-fix-icons-position-after-change-font.patch.bz2

# Laurent - 3.0.3-21mdk - fix tooltips bug
Patch168:	kdebase-3.0.3-fix-tooltips.patch.bz2


# Laurent - 3.0.3-25mdk - fix kcontrol->konq behaviour default value
Patch171:	kdebase-3.0.3-fix-default-konq-behaviour.patch.bz2


# Laurent - 3.0.3-28mdk - fix kicker remove button 
Patch173:	kdebase-3.0.3-fix-kicker-remove-button.patch.bz2

# Laurent - 3.0.3-29mdk - fix kcontrol->kicker disable label
Patch174:	kdebase-3.0.3-fix-kicker-disable-label-in-kcontrol-panel.patch.bz2


# Laurent - 3.0.3-50mdk - fix kdm reboot options
Patch187:	kdebase-3.0.3-fix-kdm-reboot-options.patch.bz2



# Laurent - 3.0.3-55mdk - fix kcm - mouse default value
Patch190:	kdebase-3.0.3-fix-default-mouse-value.patch.bz2


# Laurent - 3.0.3-57mdk - fix kfind focus.
Patch192:	kdebase-3.0.3-fix-kfind-focus.patch.bz2



# Laurent - 3.0.3-62mdk - fix konsole font.
Patch195:	kdebase-3.0.3-fix-konsole-font.patch.bz2


# Laurent - 3.1-8mdk move konqueror up button to left
Patch500:	kdebase-3.1-move-up-button-to-left.patch.bz2





# Laurent - 3.1-14mdk Remove double click on radiobutton in kdm shutdown dialogbox 
Patch504:	kdebase-3.1-remove-kdm-double-click-on-radio-button.patch.bz2

# Laurent - 3.1-15mdk Add patch to activate screen saver to corner
Patch505:	kdesktop-3.1-auto-lock-kcontrol-screensaver.patch.bz2
Patch506:	kdesktop-3.1-auto-lock-screensaver3.patch.bz2

# Laurent - 3.1-rc2.1mdk fix up button
Patch507:	kdebase-3.1-fix-up-button.patch.bz2

# Laurent - 3.1-rc2-5mdk Add CTRL+W for Gwe :)
Patch508:	kdebase-3.1-add-ctrl-w-to-konq-combo.patch.bz2

# Laurent -3.1-rc2-6mdk fix paste local url in konsole : file:/mtc... 
Patch509:	kdebase-3.1-fix-paste-action-in-konsole.patch.bz2

# Laurent - 3.1-rc3-4mdk fix kssl default path
Patch510:	kdebase-3.1-fix-ssl-default-path.patch.bz2


# Laurent - 3.1-rc3-6mdk fix kicker default size
Patch513:	kdebase-3.1-default-kicker-size.patch.bz2

# Laurent - 3.1-rc3-7mdk fix konqueror tab default shortcut
Patch514:	kdebase-3.1-konqueror-tab-default-shortcut.patch.bz2

# Laurent - 3.1-rc3-10mdk fix info page patch from titi
Patch515:	kdebase-3.1-fix-info.patch.bz2

# Laurent - 3.1-1mdk : fix disable amor when screensaver is launched
Patch516:	kdebase-3.1-fix-disable-amor.patch.bz2

# Laurent - 3.1-rc5-3mdk : fix kioslave info
Patch517:	kdebase-3.1-kde-info.patch.bz2



#Laurent  - 3.1-rc5-6mdk : add new feature move/change tab order
Patch520:	kdebase-3.2-move-tab-change-tab.patch3.bz2


# Laurent - 3.1-rc5-7mdk : add new feature open new page after current page
Patch521:	kdebase-3.1-add-open-new-tab-after-current-page.patch.bz2
Patch522:	kdebase-3.1-add-open-new-tab-after-current-page2.patch.bz2
Patch523:	kdebase-3.1-add-open-new-tab-after-current-page3.patch.bz2
Patch524:	kdebase-3.1-add-open-new-tab-after-current-page4.patch.bz2


# Laurent - 3.1-rc5-10mdk : fix konqueror with multi url launch one konqueror + multi tab
Patch525:	kdebase-3.1-fix-multi-url-launch.patch.bz2

# Laurent - 3.1-rc5-10mdk : fix crash in konqueror when we open new tab
Patch526:	kdebase-3.1-add-open-new-tab-after-current-page5.patch.bz2



# Laurent - 3.1-rc5-13mdk : fix kcontrol->background remove multi walpaper
# remove it for kde3.2 ( commited in this branch)
Patch529:	kdebase-3.1-fix-kcontrol-background-multi-wallpaper-selection.patch.bz2


# Laurent - 3.1-rc6-4mdk : fix update button in kcontrol->cgi, remove it for kde3.2 commited in head
Patch532:   kdebase-3.1-fix-kcm-cgi.patch.bz2


# Laurent - 3.1-rc6-9mdk : fix kcontrol-kxkb reset value
# Remove it for final
Patch535:	kdebase-3.1-fix-kcontrol-kxbk-reset-value.patch.bz2

# Laurent -3.1-rc6-10mdk : add khelpcenter dcop interface
# Remove for kde 3.2
Patch536:	kdebase-add-khelpcenter-dcopinterface.patch.bz2
Patch537:	kdebase-3.1-khelpcenter-makefile.patch.bz2


# Laurent - 3.1-rc6-12mdk : Add new konqueror tab feature "Reload all tab" "reload tab"
# Remove it for kde3.2 : commited in cvs
Patch539:	kdebase-3.1-reload-tab-in-konqueror.patch.bz2	


# Laurent - 3.1-rc6-15mdk : fix reload all tab
# Remove it for 3.2
Patch541:	kdebase-3.1-fix-reload-all-tab.patch.bz2

# Laurent - 3.1-rc6-16mdk : fix konqueror update actions
# Remove it for 3.2 and final
Patch542:	kdebase-3.1-fix-konqueror-updateaction.patch.bz2

# Laurent - 3.1-rc6-21mdk : fix kcontrol->font xft config
Patch543:	kdebase-3.1-fix-kcontrol-font-xft.patch.bz2


# Laurent - 3.1-rc6-23mdk : fix kicker display size
Patch545:	kdebase-3.1-fix-display-kicker-size.patch.bz2



# Laurent - 3.1-6mdk : new kdm
Patch800:	kdebase-3.1-new-kdm3.patch.bz2
Patch801:	kdebase-3.1-new-kdm.patch.bz2
Patch802:   kdebase-3.1-new-kdm2.patch.bz2
Patch803:	kdebase-3.1-new-kdm4.patch.bz2


Patch546:	kdebase-3.1-fix-kdm-use-rebootin.patch.bz2
Patch547:	kdebase-3.1-fix-kcontrol-kdm-use-rebootin.patch.bz2

# Laurent -3.1-15mdk : fix kdm : don't display name \n username when name == username => display just name
Patch548:	kdebase-3.1-fix-kdm-display-user.patch.bz2

# Laurent - 3.1-16mdk : fix kcontrol->kdm position default value
Patch549:	kdebase-3.1-fix-kcontrol-kdm-position-default-value.patch.bz2

# Laurent - 3.1-19mdk : add entry "change spell check config" in konqueror
Patch550:	kdebase-3.1-add-entry-to-change-spell-check.patch.bz2

# Laurent - 3.1-32mdk : fix load default schem
Patch551:	kdebase-3.1-load-default-schem-galaxy.patch.bz2

# Laurent - 3.1-35mdk : add mdk translation
Patch552:	kdebase-3.1-add-mdk-translation.patch.bz2

# Laurent - 3.1-37mdk : fix minicli launch application by menu name
Patch553:	kdebase-3.1-fix-minicli-launch-application-by-menu-name.patch.bz2

# Laurent -3.1-43mdk : fix kcontrol->kdm sort list, patch commited in kde3.2
Patch554:	kdebase-3.1-fix-kcontrol-sort-list.patch.bz2

# Laurent - 3.1-46mdk : fix kcontrol->kdm default value
Patch555:	kdebase-3.1-fix-default-kcontrol-kdm-value.patch.bz2

# Laurent - 3.1-46mdk : fix kcontrol-background default value
Patch556:	kdebase-3.1-fix-kcontrol-background-default-mdk-value.patch.bz2

# Laurent - 3.1-46mdk : fix kicker->clock default value
Patch557:	kdebase-3.1-fix-kicker-clock-applet-default-value.patch.bz2


# Laurent - 3.1-51 : fix load kwin galaxy theme by default
Patch558:	kdebase-3.1-load-kwin-galaxy-theme.patch.bz2

# Laurent - 3.1-52mdk : fix kcmshell->font default value
Patch559:	kdebase-3.1-fix-kcontrol-font-default-value.patch.bz2	

# Laurent - 3.1-58mdk : fix launch kwin when a people remove galaxy-kwin-theme
Patch560:	kdebase-3.1-fix-launch-kwin-when-uninstall-default-mdk-theme.patch.bz2

# Laurent - 3.1-60mdk : fix konsole default value
Patch561:	kdebase-3.1-fix-konsole-default-value.patch.bz2

# Laurent - 3.1-67mdk : fix konqueror spell check icons ( bugs reported by David Baudens
Patch562:	kdebase-3.1-fix-konqueror-spellcheck-icon.patch.bz2

# Laurent - 3.1-71mdk : fix miniclip double call to accept
Patch563:	kdebase-3.1-fix-miniclip-double-call-to-accept.patch.bz2

# Laurent - 3.1-71mdk : fix "Fixed Bug 55304: Bookmarks behave differenty when invoked from 'terminal sessions' kicker menu"
Patch564:	kdebase-3.1-fix-kicker-konsole-menu.patch.bz2

# Laurent - 3.1-71mdk : fix "Fixed Bug 48083: Empty taskbar sometimes shows container scroll buttons"
Patch565:	kdebase-3.1-fix-kicker-taskbar.patch.bz2

# Laurent - 3.1-72mdk : fix from kde3.1-branch
Patch566:	kdebase-3.1-fix-2003-03-05.patch.bz2

# Laurent - 3.1-72mdk : fix search mozilla plugins, mozilla changes all the time of directory, perhaps a day, it will use /usr/lib/mozilla/plugins, perhaps ...
Patch567:	kdebase-3.1-fix-search-mozilla-plugins.patch.bz2

# Laurent - 3.1-72mdk : fix error when we try to open file in kcontrol->nsplugins and file doesn't exist
Patch568:	kdebase-3.1-fix-nsplugins-search-file-cache.patch.bz2

# Laurent - 3.1-72mdk : fix kfind display result
Patch569:	kdebase-3.1-fix-kfind-display-result.patch.bz2

# Laurent - 3.1-72mdk : fix search plugins in kcontrol->nsplugins
Patch570:	kdebase-3.1-fix-nsplugins-search-plugins-path.patch.bz2

# Laurent - 3.1-74mdk : fix kde + supermount
Patch571:	kdebase-3.1-fix-kioslave-device.patch.bz2

# Laurent - 3.1-74mdk : fix from kde3.1 branch
Patch573:	kdebase-3.1-fix-2003-03-06.patch.bz2
Patch574:	kdebase-3.1-fix-2003-03-06.2.patch.bz2
patch575:	kdebase-3.1-fix-2003-03-06.3.patch.bz2
patch576:	kdebase-3.1-fix-2003-03-06.4.patch.bz2
patch577:	kdebase-3.1-fix-2003-03-06.5.patch.bz2

patch578:	kdebase-3.1-default-mount-point.patch.bz2

patch579:	kdebase-3.1-fix-default-mount-point.patch.bz2

patch580:	kdebase-3.1-fix-compile.patch.bz2

patch581:	kdebase-3.1-fix-default-mount-point2.patch.bz2

# Laurent - 3.1-75mdk : fix from kde3.1 branch
patch582:	kdebase-3.1-fix-2003-03-07.patch.bz2

patch583:	kdebase-3.1-fix-2003-03-07.2.patch.bz2

patch584:	kdebase-3.1-fix-2003-03-07.3.patch.bz2

patch585:	kdebase-3.1-fix-2003-03-07.4.patch.bz2
patch586:	kdebase-3.1-fix-compile-2.patch.bz2

Patch587:	kdebase-3.1-export-gtk-apply-style.patch.bz2
Patch588:	kdebase-3.1-fix-kdeprintfax.patch.bz2

Patch589:	kdebase-3.1-fix-kioslave-thimbnail-creator.patch.bz2

# Laurent - add aspell as default
Patch590:	kdebase-3.1-default-aspell.patch.bz2

# Laurent - fix from kde3.1 branch
Patch591:	kdebase-3.1-2003-03-08.patch.bz2
Patch592:	kdebase-3.1-2003-03-08.2.patch.bz2

# Laurent - fix desktop
Patch593:	kdebase-3.1-fix-desktop-kpager.patch.bz2

# Laurent - fix from kde3.1
Patch594:	kdebase-3.1-2003-03-10.patch.bz2

# Laurent - fix kappfinder
Patch595:	kdebase-3.1-fix-crash-in-kappfinder.patch.bz2

# Laurent - fix kwin crash
Patch596:	kdebase-3.1-fix-crash-in-kwin.patch.bz2

# Laurent - fix from kde3.1
Patch597:	kdebase-3.1-fix-2003-03-11.patch.bz2

# Laurent - fix kicker - simplifier appl
Patch598:	kdebase-3.1-fix-kicker-default-simplifier-apps.patch.bz2

# Laurent - fix kicker + launch menudrake + simplified menu
Patch599:	kdebase-3.1-fix-launch-menudrake-in-simplified-menu.patch.bz2

# Laurent - fix kwindecoration default config
Patch600:	kdebase-3.1-fix-default-kwin-decoration.patch.bz2

# Laurent - fix font config cache problem
Patch601:	kdebase-3.1-fix-font-config-cache.patch.bz2

# Laurent - fix panel default app in simplified menu
Patch602:	kdebase-3.1-fix-load-default-panel-appl-in-simplified-menu.patch.bz2

# Laurent - fix konqueror crash
Patch603:	kdebase-3.1-fix-konqueror-crash.patch.bz2

# Laurent - fix miniclip + terminal
Patch604:	kdebase-3.1-fix-miniclip-with-terminal.patch.bz2
Patch605:	kdebase-3.1-fix-compile.2.patch.bz2

# Laurent - fix display icon on desktop + supermount + user argument
Patch606:	kdebase-3.1-fix-supermount-user.3.patch.bz2

# Laurent - fix konqueror
Patch607:	kdebase-3.1-fix-konqueror-kfmclient.patch.bz2

# Laurent - fix kwin->plugins
Patch608:	kdebase-3.1-fix-kwin-client.patch.bz2

# Laurent - fix from
Patch609:	kdebase-3.1-fix-2003-03-13.patch.bz2

# Laurent - fix supermount
Patch610:	kdebase-3.1-fix-supermount.4.patch.bz2

# David - 2.2.beta1.1mdk - Prevent destruction of some laptops
BuildConflicts:	lm_utils, lm_utils-devel, liblm_sensors1, liblm_sensors1-devel
BuildConflicts: automake1.6

%if %buildfor8_2
BuildRequires:  kdelibs-devel = %version, libarts-devel >= 1.1, libqt3 >= 3.1 libvorbis0-devel libdb3.3-devel
BuildRequires:  pam-devel, lesstif-devel, libldap2-devel, libcdda0-devel, libogg-devel, libsasl7-devel,  libvorbis0-devel, freetype2-devel
%endif

%if %buildfor9_0
BuildRequires:  kdelibs-devel = %version, libarts-devel >= 1.1 , libqt3 >= 3.1 libdb3.3-devel
BuildRequires:  libogg-devel, libcdda0-devel, pam-devel, libldap2-devel libsasl7-devel lesstif-devel,  libvorbis0-devel, freetype2-devel
%endif

%if %buildfor9_1
BuildRequires:  kdelibs-devel = %version, libarts-devel >= 1.1 , libqt3 >= 3.1 libdb-devel, libfontconfig1-devel >= 2.1-9mdk
BuildRequires:  libogg-devel, libcdda0-devel, pam-devel, libldap2-devel libsasl-devel lesstif-devel,  libvorbis0-devel, freetype2-devel, libart_lgpl2-devel libfam0-devel
%endif


Requires:	arts, kdm, mdk-menu-messages >= 9.1, galaxy-kde-kwin

%if %buildfor9_1
Requires:	mdklaunchhelp >= 9.1
Requires:	mandrake-mime >= 0.3, krootwarning >= 9.1, kdebase-servicemenu, initscripts >= 7.04-3mdk kdelibs >= 3.1-54mdk, libfontconfig1 >= 2.1-9mdk
%endif

%if %buildfor9_0
Requires:   mandrake_desk >= 9.0-7mdk , krootwarning >= 9.0-1mdk, indexhtml >= 9.0-2mdk, htdig, mandrake-mime >= 0.2
%endif

Obsoletes:	kfontinst kio_fish
Provides:	kfontinst kio_fish

Obsoletes:     kdebase3
Provides:      kdebase3

Conflicts:		kdeutils =< 2.2.2-28mdk  

%description
Core applications for the K Desktop Environment.
Here is an overview of the directories:

	- drkonqi: if ever an app crashes (heaven forbid!) then Dr.Konqi will be so
          kind and make a stack trace. This is a great help for the
          developers to fix the bug.
	- kappfinder: searches your hard disk for non-KDE applications, e.g. Acrobat
             Reader (tm) and installs those apps under the K start button
	- kate: a fast and advanced text editor with nice plugins
	- kcheckpass: small program to enter and check passwords, only to be used by
             other programs
	- kcontrol: the KDE Control Center allows you to tweak the KDE settings
	- kdcop: GUI app to browse for DCOP interfaces, can also execute them
	- kdebugdialog: allows you to specify which debug messages you want to see
	- kdeprint: the KDE printing system
	- kdesktop: you guessed it: the desktop above the panel
	- kdesu: a graphical front end to "su"
	- kdm: replacement for XDM, for those people that like graphical logins
	- kfind: find files
	- khelpcenter: the app to read all great documentation about KDE
	- khotkeys: intercepts keys and can call applications
	- kicker: the panel at the botton with the K start button and the 
				taskbar etc
	- kioslave: infrastructure that helps make every application internet 
				enabled e.g. to directly save a 
				file to ftp://place.org/dir/file.txt
	- klipper: enhances and extenses the X clipboard
	- kmenuedit: edit for the menu below the K start button
	- konqueror: the file manager and web browser you get easily used to
	- konsole: a shell program similar to xterm
	- kpager: applet to show the contents of the virtual desktops
	- kpersonalizer: the customization wizard you get when you first start KDE
	- kreadconfig: a tool for shell scripts to get info from KDE's config files
	- kscreensaver: the KDE screensaver environment and lot's of savers
	- ksmserver: the KDE session manager (saves program status on login, 
				restarts those program at the next login)
	- ksplash: the screen displayed while KDE starts
	- kstart: to launch applications with special window properties
         such as iconified etc
	- ksysguard: task manager and system monitor, even for remote systems
	- ksystraycmd: allows to run any application in the system tray
	- ktip: gives you tips how to use KDE
	- kwin: the KDE window manager
	- kxkb: a keyboard map tool
	- legacyimport: odd name for a cute program to load GTK themes
	- libkonq: some libraries needed by Konqueror
	- nsplugins: together with OSF/Motif or Lesstif allows you to use Netscape
			(tm) plugins in Konqueror

%package devel
Summary:	Devel stuff for kdebase
Group:		Development/KDE and Qt
PreReq:		%name = %version-%release
Requires:	kdelibs-devel
Obsoletes:     kdebase3-devel
Provides:      kdebase3-devel

%description devel
This package contains header files needed if you wish to build applications
based on kdebase.


%package nsplugins
Summary:	Netscape Plugins for kdebase
Group:		Graphical desktop/KDE
Requires:	%name = %version-%release


Obsoletes:     kdebase3-nsplugins
Provides:      kdebase3-nsplugins

%description nsplugins
This package contains the Netscape plugins for konqueror files.


%package kdm
Summary:    kdm for kdebase
Group:      Graphical desktop/KDE
Requires:   %name = %version-%release

Provides:	kdm

%description kdm
This package contains kdm.

%prep



%setup -q

# Mandrake menu support
%patch1 -p1
%patch2 -p1

# Kicker
%patch20 -p1

#%patch22 -p1
#%patch23 -p1

%patch40 -p1
%patch41 -p1

# Desktop
%patch31 -p1


# KDM
%patch50 -p1
%patch52 -p1
%patch53 -p1

%patch54 -p1

# Cookies
%patch60 -p1


# startkde
%ifarch ia64 x86_64 %ix86
%patch74 -p1
%endif
%ifarch alpha ppc
%patch75 -p1
%endif


%patch120 -p1
%patch123 -p1

# final !!!!!!!!!!
#%patch126 -p1


#%patch129 -p1
#%patch131 -p1
#%patch132 -p1

%patch133 -p1

%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
#%patch139 -p1
%patch142 -p1
%patch143 -p1
#%patch144 -p1
%patch145 -p1
#%patch146 -p1
%patch152 -p1
#%patch167 -p1
#%patch168 -p1
#%patch171 -p1
#%patch173 -p1
#%patch174 -p1


%patch187 -p1
%patch190 -p1
%patch192 -p1 
%patch195 -p1

%patch500 -p1

%patch504 -p1

%patch505 -p1
%patch506 -p1
%patch507 -p1
%patch508 -p1
%patch509 -p1
%patch510 -p1


%patch513 -p1

%patch514 -p1
#fix !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! final
#%patch515 -p1
%patch516 -p1

%patch517 -p1

%patch520 -p1
%patch521 -p1
%patch522 -p1
%patch523 -p1
%patch524 -p1
%patch525 -p1
%patch526 -p1
%patch529 -p1

%patch532 -p1
#final !!!!!!!!!!
#%patch535 -p1
%patch536 -p1

%patch537 -p1

%patch539 -p1
%patch541 -p1
%patch542 -p1

%patch543 -p1

%patch545 -p1

%patch546 -p1
%patch547 -p1

%patch548 -p1
%patch549 -p1

%patch550 -p1

%patch551 -p1
%patch552 -p1

%patch553 -p1

%patch554 -p1

%patch555 -p1
%patch556 -p1
%patch557 -p1

%patch558 -p1

%patch559 -p1

%patch560 -p1

%patch561 -p1

%patch562 -p1

%patch563 -p1
%patch564 -p1
%patch565 -p1

%patch566 -p1
%patch567 -p1
%patch568 -p1
%patch569 -p1
%patch570 -p1

%patch571 -p1

%patch573 -p1
%patch574 -p1
%patch575 -p1
%patch576 -p1
%patch577 -p1

%patch578 -p1
%patch579 -p1
%patch580 -p1
%patch581 -p1

%patch582 -p1
%patch583 -p1

%patch584 -p1

%patch585 -p1
%patch586 -p1

%patch587 -p1

%patch588 -p1

%patch589 -p1

%patch590 -p1

%patch591 -p1
%patch592 -p1

%patch593 -p1

%patch594 -p1

%patch595 -p1

%patch596 -p1
%patch597 -p1
%patch598 -p1

#%patch599 -p1

%patch600 -p1
%patch601 -p1

%patch602 -p1

%patch603 -p1

%patch604 -p1
%patch605 -p1

%patch606 -p1

%patch607 -p1

%patch608 -p1

%patch609 -p1

%patch610 -p1

%build
#make -f Makefile.cvs
export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	./configure --prefix=%_prefix \
            --libdir=%_libdir \
            --sysconfdir=%_sysconfdir \
	        --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable			
		    --enable-debug=full \
%else
			--disable-debug \
%endif			
		    --enable-final \
		    --enable-shared \
		    --disable-static \
		    --enable-fast-install=yes \
		    --disable-embedded \
		    --disable-pamtop \
		    --disable-rpath \
		    --enable-cups \
		    --disable-lametest \
		    --enable-vorbistest \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
		    --with-pam=kde3 \
		    --with-kss-pam=kscreensaver3 \
		    --with-shadow \
		    --with-cdparanoia \
		    --without-lame \
		    --with-vorbis \
		    --with-ldap \
		    --with-x \
            --x-includes=/usr/X11R6/include \
            --x-libraries=/usr/X11R6/%_lib

%make



%install
rm -fr %buildroot

# David - 2.2-0.alpha2-5mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

# David - 2.2.2-17mdk - Don't run kappfinder during install
export RUN_KAPPFINDER=no

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH

# David - 2.2-0.beta1.0.2mdk - Don't use makeinstall macro or nothing will work
make DESTDIR=%buildroot install


# Install kde pam configuration file
# David - 3.0-0.beta1.8mdk - We don't use the _sysconfdir macro as long as we
#                            install KDE 3 in /opt/kde3/
install -d -m 0755 %buildroot/etc/pam.d/
install -m 0644 %SOURCE10 %buildroot/etc/pam.d/kde3


# Install kscreensaver pam configuration file
install -m 0644 $RPM_BUILD_DIR/kdebase-3.1/kscreensaver.pamd %buildroot/etc/pam.d/kscreensaver3


# LMDK config files
install -d -m 0775 %buildroot/%_datadir/config/
install -m 0644 %SOURCE100 %buildroot/%_datadir/config/clockappletrc
install -m 0644 %SOURCE101 %buildroot/%_datadir/config/kpersonalizerrc
install -m 0644 %SOURCE102 %buildroot/%_datadir/config/kcookiejarrc
install -m 0644 %SOURCE103 %buildroot/%_datadir/config/kcmdisplayrc
install -m 0644 %SOURCE5001 %buildroot/%_datadir/config/konquerorrc


%ifarch ppc
install -m 0644 %SOURCE104 %buildroot/%_datadir/config/kcmartsrc
%endif

# David - 2.1.1-4mdk - To be able to use the Windows key to open the K menu
%ifnarch ppc
install -m 0644 %SOURCE105 %buildroot/%_datadir/config/kdeglobals
%endif

install -m 0644 %SOURCE106 %buildroot/%_datadir/config/kdesktoprc

install -m 0644 %SOURCE107 %buildroot/%_datadir/config/kdm/kdmrc
install -m 0644 %SOURCE170 %buildroot/%_datadir/config/kdm/backgroundrc

install -d -m 0755 %buildroot/%_datadir/apps/kicker
install -m 0644 %SOURCE110 %buildroot/%_datadir/apps/kicker/default-apps-mdk

install -m 0644 %SOURCE111 %buildroot/%_datadir/config/konsolerc
install -m 0644 %SOURCE112 %buildroot/%_datadir/config/kxmlrpcdrc



# Root's desktop configuration
# David - 2.2-61mdk - Root interface
%if %buildfor9_1
install -d -m 0755 %buildroot/%_datadir/mdk/kde/
cd %buildroot/%_datadir/mdk/kde/
tar jxf %SOURCE155
cd -
%else
install -d -m 0755 %buildroot/%_datadir/mdk/kde/root-interface/
install -m 0644 %SOURCE150 %buildroot/%_datadir/mdk/kde/root-interface/kdesktoprc
install -m 0644 %SOURCE151 %buildroot/%_datadir/mdk/kde/root-interface/kickerrc
install -m 0644 %SOURCE152 %buildroot/%_datadir/mdk/kde/root-interface/klipper.desktop
install -m 0644 %SOURCE153 %buildroot/%_datadir/mdk/kde/root-interface/Root_interface.kcsrc
install -m 0644 %SOURCE154 %buildroot/%_datadir/mdk/kde/root-interface/background-Root_interface.png
%endif



# Scripts for Desktop configuration
# David - 2.1.1-4mdk - To be able to use "Preferences" in K menu (right click
#                      on K menu -> Preferences)
install -m 0755 %SOURCE253 %buildroot/%_bindir/kmenu-preferences-switch

install -m 0755 %SOURCE300 %buildroot/%_bindir/kdesktop-links
install -m 0755 %SOURCE301 %buildroot/%_bindir/ArrangeIcons

install -m 0755 %SOURCE302 %buildroot/%_bindir/test-windows-key

install -m 0755 %SOURCE303 %buildroot/%_bindir/kdesktop-network

install -m 0755 %SOURCE300 %buildroot/%_bindir/kdesktop-links

# David - 2.2.2-17mdk - PPC: fix Information in Kcontrol
%ifarch ppc
install -m 0755 %SOURCE310 %buildroot/%_bindir/kcontrol-ppc
perl -pi -e "s|Exec=kcontrol -caption \"%c\" %i %m|Exec=kcontrol-ppc -caption \"%c\" %i %m|" %buildroot/%_datadir/applnk/KControl.desktop
#rm -f %buildroot/%_datadir/applnk/Settings/Information/memory.desktop
%endif


# Default icons for Desktop
install -d %buildroot/%_datadir/mdk/kde/
install -m 0644 %SOURCE400 %buildroot/%_datadir/mdk/kde/ArangeIcons.desktop
install -m 0644 %SOURCE401 %buildroot/%_datadir/mdk//kde/CD-ROM.desktop
install -m 0644 %SOURCE402 %buildroot/%_datadir/mdk/kde/CD-ROM2.desktop
install -m 0644 %SOURCE403 %buildroot/%_datadir/mdk/kde/Mandrake\ Control\ Center.desktop
install -m 0644 %SOURCE404 %buildroot/%_datadir/mdk/kde/Documentation-de.desktop
install -m 0644 %SOURCE405 %buildroot/%_datadir/mdk/kde/Documentation-es.desktop
install -m 0644 %SOURCE406 %buildroot/%_datadir/mdk/kde/Documentation-fr.desktop
install -m 0644 %SOURCE407 %buildroot/%_datadir/mdk/kde/Documentation-it.desktop
install -m 0644 %SOURCE408 %buildroot/%_datadir/mdk/kde/Documentation.desktop
install -m 0644 %SOURCE409 %buildroot/%_datadir/mdk/kde/Floppy.desktop
%ifnarch ppc
install -m 0644 %SOURCE410 %buildroot/%_datadir/mdk/kde/Floppy2.desktop
%else
install -m 0644 %SOURCE424 %buildroot/%_datadir/mdk/kde/Floppy2.desktop
%endif
install -m 0644 %SOURCE412 %buildroot/%_datadir/mdk/kde/Mandrake\ Expert.desktop
install -m 0644 %SOURCE413 %buildroot/%_datadir/mdk/kde/Mandrake\ News.desktop
install -m 0644 %SOURCE414 %buildroot/%_datadir/mdk/kde/Mandrake\ Store.desktop
install -m 0644 %SOURCE415 %buildroot/%_datadir/mdk/kde/Printer-kprinter.desktop
install -m 0644 %SOURCE416 %buildroot/%_datadir/mdk/kde/Printer-kups.desktop
install -m 0644 %SOURCE417 %buildroot/%_datadir/mdk/kde/Printer-lpr.desktop
install -m 0644 %SOURCE418 %buildroot/%_datadir/mdk/kde/Printer-qtcups.desktop
install -m 0644 %SOURCE419 %buildroot/%_datadir/mdk/kde/Printer-xpp.desktop
install -m 0644 %SOURCE420 %buildroot/%_datadir/mdk/kde/XKill.desktop
install -m 0644 %SOURCE421 %buildroot/%_datadir/mdk/kde/Zip.desktop
install -m 0644 %SOURCE422 %buildroot/%_datadir/mdk/kde/Zip2.desktop
install -m 0644 %SOURCE423 %buildroot/%_datadir/mdk/kde/directory-desktop
install -m 0644 %SOURCE425 %buildroot/%_datadir/mdk/kde/Connection-to-Internet.desktop
install -m 0644 %SOURCE426 %buildroot/%_datadir/mdk/kde/Connection-to-Internet2.desktop
install -m 0644 %SOURCE427 %buildroot/%_datadir/mdk/kde/MandrakeClub.desktop
install -m 0644 %SOURCE428 %buildroot/%_datadir/mdk/kde/removable_media.directory



#perl -pi -e "s|Icon=trashcan_full|Icon=mdk-trash_full|" %buildroot/%_datadir/apps/kdesktop/DesktopLinks/Home.desktop
#perl -pi -e "s|Icon=trashcan_empty|Icon=mdk-trash_empty|" %buildroot/%_datadir/apps/kdesktop/directory.trash

# Bookmarks & Co
install -m 0644 %SOURCE600 %buildroot/%_datadir/mdk/kde/bookmarks.xml

install -d -m 0755 %buildroot/%_datadir/icons/favicons
install -m 0644 %SOURCE602 %buildroot/%_datadir/icons/favicons/STAR_TRANSP.png
install -m 0644 %SOURCE603 %buildroot/%_datadir/icons/favicons/TUX_TRANSP.png



install -m644 %SOURCE800 %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdk_web.desktop
install -m644 %SOURCE801 %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdkbizcase_web.desktop
install -m644 %SOURCE802 %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdkcampus_web.desktop
install -m644 %SOURCE803 %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdkexpert_web.desktop
install -m644 %SOURCE804 %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdkforum_web.desktop
install -m644 %SOURCE805 %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdkonline_web.desktop
install -m644 %SOURCE806 %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdkstore_web.desktop



#install -m644 %SOURCE900 %buildroot/%_datadir/icons/hicolor/16x16/filesystems/share.png
#install -m644 %SOURCE901 %buildroot/%_datadir/icons/hicolor/32x32/filesystems/share.png
#install -m644 %SOURCE902 %buildroot/%_datadir/icons/hicolor/48x48/filesystems/share.png

#install -m644 %SOURCE3000 %buildroot/%_datadir/icons/hicolor/32x32/filesystems/mdk-trash_empty.png
#install -m644 %SOURCE3002 %buildroot/%_datadir/icons/hicolor/32x32/filesystems/mdk-trash_full.png
#install -m644 %SOURCE3001 %buildroot/%_datadir/icons/hicolor/48x48/filesystems/mdk-trash_empty.png
#install -m644 %SOURCE3003 %buildroot/%_datadir/icons/hicolor/48x48/filesystems/mdk-trash_full.png


# David - 3.0.3-67mdk - Make FB happy - Icon for MDK documentation in kicker
install -m 0755 %SOURCE3100 %buildroot/%_bindir/mdkdoc-kicker


# Add chksession support
# David - 3.0-0.beta1.8mdk - We don't use the _sysconfdir macro here because
#                            this file need to be installed in /etc/ and not
#                            in /opt/kde3/etc/ (or KDE 3 will not be displayed
#                            in KDM/GDM.
#                            We will also need to rename 11KDE in 01KDE when
#                            KDE 3 will be used as default KDE.
install -d -m 0775 %buildroot/etc/X11/wmsession.d/
cat << EOF > %buildroot/etc/X11/wmsession.d/01KDE
NAME=KDE
ICON=kde-wmsession.xpm
DESC=The K Desktop Environment
EXEC=%_bindir/startkde
SCRIPT:
exec %_bindir/startkde
EOF


# David - 2.1-0.20010210.1mdk - Make konsole_grantpty setuid root (per request
#                               of binary)
chmod u+s %buildroot/%_bindir/konsole_grantpty


# David - 2.1-0.20010210.1mdk - Change kdesud owners and permission (per request
#                               of binary)
# David - 2.1-1mdk - It seems that Coolo made some modifications in Makefile to
#                    set that automatically in KDE post 2.1. To check in next
#                    CVS code update
chmod 2755 %buildroot/%_bindir/kdesud


# Laurent - 2.2.1-2mdk - Add an icon to adressbook
perl -pi -e "s|Icon=kadressbook|Icon=addressbook_section.png|" %buildroot/%_datadir/applnk/Utilities/kaddressbook.desktop

# David - 2.2.2-17mdk - Provide icon for socks menu entry
perl -pi -e "s|Icon=socks|Icon=network|" %buildroot/%_datadir/applnk/Settings/Network/socks.desktop


#=============================================# 
#             Mandrake menu support           #
#=============================================#

## Mandrake menu support
# Laurent - 3.0-0.beta1.7mdk - Don't install menu-method into /opt/kde3/etc
#                              To remove when KDE 3 will be installed in /usr
install -d -m 0755 %buildroot/etc/menu-methods/
install -m 0755 %SOURCE200 %buildroot/etc/menu-methods/kde3




install -d -m 0755 %buildroot/etc/menu-methods/
install -m 0755 %SOURCE212 %buildroot/etc/menu-methods/kde3
install -m 0644 %SOURCE213 %buildroot/etc/menu-methods/kde3-menu-link.sh

install -d %buildroot/%_datadir/applnk-mdk/

install -d -m 0755 %buildroot/%_datadir/applnk-mdk-simplified/
install -d -m 0755 %buildroot/etc/menu-methods/simplified
install -m 0755 %SOURCE254 %buildroot/etc/menu-methods/simplified/kde3


install -m 0755 %SOURCE251 %buildroot/%_bindir/removekdesysmenu-simplified.pl

install -m 0755 %SOURCE201 %buildroot/%_bindir/removekdesysmenu.pl
install -m 0755 %SOURCE202 %buildroot/%_bindir/restorekdemimetypes.pl
install -m 0755 %SOURCE203 %buildroot/%_bindir/savekdemimetypes.pl


# Create Mandrake menu directories
install -d %buildroot/%_menudir/
install -d %buildroot/%_menudir/simplified/

install -m 0644 %SOURCE205 %buildroot/%_menudir/kdebase-basedir
install -m 0644 %SOURCE252 %buildroot/%_menudir/simplified/kdebase-basedir


# %%_datadir/applnk/
kdedesktop2mdkmenu.pl kdebase Documentation %buildroot/%_datadir/applnk/Help.desktop %buildroot/%_menudir/kdebase-help kde
kdedesktop2mdkmenu.pl kdebase // %buildroot/%_datadir/applnk/konqueror.desktop %buildroot/%_menudir/kdebase-konqueror kde
kdedesktop2mdkmenu.pl kdebase / %buildroot/%_datadir/applnk/Home.desktop %buildroot/%_menudir/kdebase-home kde
kdedesktop2mdkmenu.pl kdebase Configuration %buildroot/%_datadir/applnk/KControl.desktop %buildroot/%_menudir/kdebase-kcontrol kde
# David - 3.1-49mdk - To display Kcontrol by default
perl -pi -e "s|NoDisplay=true|NoDisplay=false|" %buildroot/%_menudir/kdebase-kcontrol
#
kdedesktop2mdkmenu.pl kdebase "/Applications/File tools" %buildroot/%_datadir/applnk/Kfind.desktop %buildroot/%_menudir/kdebase-kfind kde


kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/fileappearance.desktop %buildroot/%_menudir/kdebase-fileappearance kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/filebehavior.desktop %buildroot/%_menudir/kdebase-filebehavior kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/filepreviews.desktop %buildroot/%_menudir/kdebase-filepreviews kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/kcmkonsole.desktop %buildroot/%_menudir/kdebase-kcmkonsole kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/kicker_config.desktop %buildroot/%_menudir/kdebase-kicker_config kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/kicker_config_appearance.desktop %buildroot/%_menudir/kdebase-kicker_config_appearance kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/konqfilemgr.desktop %buildroot/%_menudir/kdebase-konqfilemgr kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/kwinactions.desktop %buildroot/%_menudir/kdebase-kwinactions kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/kwinadvanced.desktop %buildroot/%_menudir/kdebase-kwinadvanced kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/kwinfocus.desktop %buildroot/%_menudir/kdebase-kwinfocus kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/kwinmoving.desktop %buildroot/%_menudir/kdebase-kwinmoving kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/midi.desktop %buildroot/%_menudir/kdebase-midi kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/.hidden/smb.desktop %buildroot/%_menudir/kdebase-smb kde



# %%_datadir/applnk/Editors/
kdedesktop2mdkmenu.pl kdebase Applications/Editors %buildroot/%_datadir/applnk/Editors/kate.desktop %buildroot/%_menudir/kdebase-kate
kdedesktop2mdkmenu.pl kdebase Applications/Editors %buildroot/%_datadir/applnk/Editors/kwrite.desktop %buildroot/%_menudir/kdebase-kwrite


# %%_datadir/applnk/Internet
kdedesktop2mdkmenu.pl kdebase Networking/WWW %buildroot/%_datadir/applnk/Internet/konqbrowser.desktop %buildroot/%_menudir/kdebase-konqbrowser
perl -pi -e "s|kfmclient openProfile webbrowsing|konqueror --profile webbrowsing|" %buildroot/%_menudir/kdebase-konqbrowser


# %%_datadir/applnk/Settings/Accessibility/
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Accessibility %buildroot/%_datadir/applnk/Settings/Accessibility/kcmaccess.desktop %buildroot/%_menudir/kdebase-kcmaccess kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Accessibility %buildroot/%_datadir/applnk/Settings/Accessibility/keys.desktop %buildroot/%_menudir/kdebase-keys kde
# David - 3.1-45mdk - Don't creat child entry in Kcontrol
perl -pi -e "s|/| - |g;s|DocPath=.*|DocPath=kcontrol/language/index.html|" %buildroot/%_datadir/applnk/Settings/Accessibility/language.desktop
#
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Accessibility %buildroot/%_datadir/applnk/Settings/Accessibility/language.desktop %buildroot/%_menudir/kdebase-language kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Accessibility %buildroot/%_datadir/applnk/Settings/Accessibility/keyboard_layout.desktop %buildroot/%_menudir/kdebase-keyboard-layout kde


# %%_datadir/applnk/Settings/Components/
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Components %buildroot/%_datadir/applnk/Settings/Components/componentchooser.desktop %buildroot/%_menudir/kdebase-componentchooser kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Components %buildroot/%_datadir/applnk/Settings/Components/filebrowser.desktop %buildroot/%_menudir/kdebase-filebrowser kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Components %buildroot/%_datadir/applnk/Settings/Components/filetypes.desktop %buildroot/%_menudir/kdebase-filetypes kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Components %buildroot/%_datadir/applnk/Settings/Components/kcmkded.desktop %buildroot/%_menudir/kdebase-kcmkded kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Components %buildroot/%_datadir/applnk/Settings/Components/kcmsmserver.desktop %buildroot/%_menudir/kdebase-kcmsmserver kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Components %buildroot/%_datadir/applnk/Settings/Components/spellchecking.desktop %buildroot/%_menudir/kdebase-spellchecking kde


# applnk/Settings/Desktop
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/Desktop/desktopappearance.desktop %buildroot/%_menudir/kdebase-desktopappearance kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/Desktop/desktopbehavior.desktop %buildroot/%_menudir/kdebase-desktopbehavior kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/Desktop/desktop.desktop %buildroot/%_menudir/kdebase-desktop kde
#kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/Desktop/filetrash.desktop %buildroot/%_menudir/kdebase-filetrash kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/Desktop/kcmtaskbar.desktop %buildroot/%_menudir/kdebase-kcmtaskbar kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/Desktop/kwinoptions.desktop %buildroot/%_menudir/kdebase-kwinoptions kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/Desktop/panel.desktop %buildroot/%_menudir/kdebase-panel kde


# %%_datadir/applnk/Settings/Information
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/devices.desktop %buildroot/%_menudir/kdebase-devices kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/dma.desktop %buildroot/%_menudir/kdebase-dma kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/interrupts.desktop %buildroot/%_menudir/kdebase-interrupts kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/ioports.desktop %buildroot/%_menudir/kdebase-ioports kde
# David - 2.2-0.beta1.1mdk - To fix
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/ioslaveinfo.desktop %buildroot/%_menudir/kdebase-ioslaveinfo kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/kcmusb.desktop %buildroot/%_menudir/kdebase-kcmusb kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/memory.desktop %buildroot/%_menudir/kdebase-memory kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/nic.desktop %buildroot/%_menudir/kdebase-nic kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/partitions.desktop %buildroot/%_menudir/kdebase-partitions kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/pci.desktop %buildroot/%_menudir/kdebase-pci kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/processor.desktop %buildroot/%_menudir/kdebase-processor kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/scsi.desktop %buildroot/%_menudir/kdebase-scsi kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/smbstatus.desktop %buildroot/%_menudir/kdebase-smbstatus kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/sound.desktop %buildroot/%_menudir/kdebase-sound kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/xserver.desktop %buildroot/%_menudir/kdebase-xserver kde

# %%_datadir/applnk/Settings/LookNFeel
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/background.desktop %buildroot/%_menudir/kdebase-background kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/colors.desktop %buildroot/%_menudir/kdebase-colors kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/fonts.desktop %buildroot/%_menudir/kdebase-fonts kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/icons.desktop %buildroot/%_menudir/kdebase-icons kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/kcmlaunch.desktop %buildroot/%_menudir/kdebase-kcmlaunch kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/kthememgr.desktop %buildroot/%_menudir/kdebase-kthememgr kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/kwindecoration.desktop %buildroot/%_menudir/kdebase-kwindecoration kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/panel_appearance.desktop %buildroot/%_menudir/kdebase-panel-apparence kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/screensaver.desktop %buildroot/%_menudir/kdebase-screensaver kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/style.desktop %buildroot/%_menudir/kdebase-style kde

# %%_datadir/applnk/Settings/Network
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/email.desktop %buildroot/%_menudir/kdebase-email kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/fileshare.desktop %buildroot/%_menudir/kdebase-fileshare kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/netpref.desktop %buildroot/%_menudir/kdebase-netpref kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/proxy.desktop %buildroot/%_menudir/kdebase-proxy kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/lanbrowser.desktop %buildroot/%_menudir/kdebase-lanbrowser kde

# %%_datadir/applnk/Settings/Network/WebBrowsing
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/kcmcgi.desktop %buildroot/%_menudir/kdebase-kcmcgi kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/cache.desktop %buildroot/%_menudir/kdebase-cache kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/cookies.desktop %buildroot/%_menudir/kdebase-cookies kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/ebrowsing.desktop %buildroot/%_menudir/kdebase-ebrowsing kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/kcmcss.desktop %buildroot/%_menudir/kdebase-kcmcss kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/kcmhistory.desktop %buildroot/%_menudir/kdebase-kcmhistory kde

kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/khtml_behavior.desktop %buildroot/%_menudir/kdebase-khtml-behavior kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/khtml_fonts.desktop %buildroot/%_menudir/kdebase-khtml-fonts kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/khtml_java_js.desktop %buildroot/%_menudir/kdebase-khtml-java-js kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/khtml_java_js.desktop %buildroot/%_menudir/kdebase-khtml-java-js kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/khtml_plugins.desktop %buildroot/%_menudir/kdebase-khtml-plugins kde

kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing %buildroot/%_datadir/applnk/Settings/Network/WebBrowsing/useragent.desktop %buildroot/%_menudir/kdebase-useragent kde

# %%_datadir/applnk/Settings/Peripherals
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Peripherals %buildroot/%_datadir/applnk/Settings/Peripherals/keyboard.desktop %buildroot/%_menudir/kdebase-keyboard kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Peripherals %buildroot/%_datadir/applnk/Settings/Peripherals/mouse.desktop %buildroot/%_menudir/kdebase-mouse kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Peripherals %buildroot/%_datadir/applnk/Settings/Peripherals/printers.desktop %buildroot/%_menudir/kdebase-printers kde

# %%_datadir/applnk/Settings/PowerControl
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/energy.desktop %buildroot/%_menudir/kdebase-energy kde

# %%_datadir/applnk/Settings/Security
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Security %buildroot/%_datadir/applnk/Settings/Security/crypto.desktop %buildroot/%_menudir/kdebase-crypto kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Security %buildroot/%_datadir/applnk/Settings/Security/passwords.desktop %buildroot/%_menudir/kdebase-passwords kde


# %%_datadir/applnk/Settings/Sound
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Sound %buildroot/%_datadir/applnk/Settings/Sound/arts.desktop %buildroot/%_menudir/kdebase-arts kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Sound %buildroot/%_datadir/applnk/Settings/Sound/bell.desktop %buildroot/%_menudir/kdebase-bell kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/Sound/kcmnotify.desktop %buildroot/%_menudir/kdebase-kcmnotify kde


# %%_datadir/applnk/Settings/LookNFeel/System
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/clock.desktop %buildroot/%_menudir/kdebase-clock kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/desktoppath.desktop %buildroot/%_menudir/kdebase-desktoppath kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/kcmfontinst.desktop %buildroot/%_menudir/kdebase-kcmfontinst kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/kdm.desktop %buildroot/%_menudir/kdebase-kdm kde
kdedesktop2mdkmenu.pl kdebase Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/kcmhelpcenter.desktop %buildroot/%_menudir/kdebase-kcmhelpcenter kde


# %%_datadir/applnk/Settingsmenu/
#kdedesktop2mdkmenu.pl kdebase / %buildroot/%_datadir/applnk/Settingsmenu/KControl.desktop %buildroot/%_menudir/kdebase-KControl kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/Settingsmenu/kcmkicker.desktop %buildroot/%_menudir/kdebase-kcmkicker kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/Settingsmenu/kmenuedit.desktop %buildroot/%_menudir/kdebase-kmenuedit kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/Settingsmenu/printmgr.desktop %buildroot/%_menudir/kdebase-printmgr kde
#kdedesktop2mdkmenu.pl kdebase / %buildroot/%_datadir/applnk/Settingsmenu/kappfinder.desktop %buildroot/%_menudir/kdebase-kappfinder kde
#kdedesktop2mdkmenu.pl kdebase / %buildroot/%_datadir/applnk/Settingsmenu/kpersonalizer.desktop %buildroot/%_menudir/kdebase-kpersonalizer kde

# %%_datadir/applnk/System
# David - 2.1-0.20010209.1mdk - menu seems "a little" buggy. so, we need to put
#                               kfmclient*.deskop files in differents directory
#                               if we whish to see menu generate them :(
#                               To fix by a menu expert
kdedesktop2mdkmenu.pl kdebase / %buildroot/%_datadir/applnk/System/kfmclient.desktop %buildroot/%_menudir/kdebase-kfmclient kde
kdedesktop2mdkmenu.pl kdebase .hidden %buildroot/%_datadir/applnk/System/kfmclient_dir.desktop %buildroot/%_menudir/kdebase-kfmclient_dir kde
kdedesktop2mdkmenu.pl kdebase Configuration %buildroot/%_datadir/applnk/System/kfmclient_html.desktop %buildroot/%_menudir/kdebase-kfmclient_html kde
kdedesktop2mdkmenu.pl kdebase /Networking %buildroot/%_datadir/applnk/System/kfmclient_war.desktop %buildroot/%_menudir/kdebase-kfmclient_war kde
#kdedesktop2mdkmenu.pl kdebase / %buildroot/%_datadir/applnk/System/kinfocenter.desktop %buildroot/%_menudir/kdebase-kinfocenter kde
kdedesktop2mdkmenu.pl kdebase Terminals %buildroot/%_datadir/applnk/System/konsole.desktop %buildroot/%_menudir/kdebase-konsole


kdedesktop2mdkmenu.pl kdebase Applications/Monitoring %buildroot/%_datadir/applnk/System/ksysguard.desktop %buildroot/%_menudir/kdebase-ksysguard

kdedesktop2mdkmenu.pl kdebase "Applications/File tools" %buildroot/%_datadir/applnk/System/More/konquerorsu.desktop %buildroot/%_menudir/kdebase-konquerorsu
kdedesktop2mdkmenu.pl kdebase Terminals %buildroot/%_datadir/applnk/System/More/konsolesu.desktop %buildroot/%_menudir/kdebase-konsolesu

# %%_datadir/applnk/System/ScreenSavers
kdedesktop2mdkmenu.pl kdebase .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KRandom.desktop %buildroot/%_menudir/kdebase-KRandom kde
kdedesktop2mdkmenu.pl kdebase .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KBlankscreen.desktop %buildroot/%_menudir/kdebase-KBlankscreen kde


# %%_datadir/applnk/System/Utilities/
kdedesktop2mdkmenu.pl kdebase Applications/Communications %buildroot/%_datadir/applnk/Utilities/kdeprintfax.desktop %buildroot/%_menudir/kdebase-kdeprintfax kde
kdedesktop2mdkmenu.pl kdebase Applications/Monitoring %buildroot/%_datadir/applnk/Utilities/kjobviewer.desktop %buildroot/%_menudir/kdebase-kjobviewer kde
#kdedesktop2mdkmenu.pl kdebase  %buildroot/%_datadir/applnk/Utilities/klipper.desktop %buildroot/%_menudir/kdebase-klipper kde

# %%_datadir/applnk/System/Utilities/More
#kdedesktop2mdkmenu.pl kdebase  %buildroot/%_datadir/applnk/Utilities/More/kpager.desktop %buildroot/%_menudir/kdebase-kpager kde


# David - 2.1.1-5mdk - For GNOME
%if %buildfor8_2
cp %buildroot/%_menudir/kdebase-konqbrowser %buildroot/%_menudir/kdebase-konqbrowser-for-gnome
perl -pi -e "s|kfmclient|NO_XALF kfmclient|" %buildroot/%_menudir/kdebase-konqbrowser-for-gnome
perl -pi -e "s|x11|gnome|" %buildroot/%_menudir/kdebase-konqbrowser-for-gnome
%endif



# David - 3.0.3-67mdk - Make FB happy - Icon for MDK documentation in kicker
cat > %buildroot/%_menudir/kdebase-mdkdoc-kicker <<EOF
?package(%{name}): \
command="%_bindir/mdkdoc-kicker" \
title="Documentation" \
icon="khelpcenter.png" \
needs="kde" \
section=".hidden"
EOF





#=============================================#
#       End of Mandrake menu structure        #
#=============================================#




# Move KDM images in faces directory
#install -d %buildroot/%_datadir/faces/
#mv %buildroot/%_datadir/apps/kdm/pics/users/default.png %buildroot/%_datadir/faces/kde-default.png
#mv %buildroot/%_datadir/apps/kdm/pics/users/default2.png %buildroot/%_datadir/faces/kde-default2.png
#mv %buildroot/%_datadir/apps/kdm/pics/users/root.png %buildroot/%_datadir/faces/kde-root.png
#mv %buildroot/%_datadir/apps/kdm/pics/users/root2.png %buildroot/%_datadir/faces/kde-root2.png
cd %buildroot/%_datadir
ln -s /usr/share/faces ./faces

# Link KDM images directory to faces directory
rm -fr %buildroot/%_datadir/apps/kdm/pics/users/
(
cd %buildroot/%_datadir/apps/kdm/pics
ln -s ../../../faces/ ./users
)



# Remove KDE hat...
rm -f %buildroot/%_datadir/apps/kdewizard/pics/wizard_small.png
# ...and install a safe image
install -m 0644 %SOURCE510 %buildroot/%_datadir/apps/kdewizard/pics/wizard_small.png



# David - 2.2.0.beta1.3mdk - Remove a potential problem with Apple
rm -f %buildroot/%_datadir/wallpapers/default_blue.jpg







install -d %buildroot/%_datadir/apps/kdesktop/Desktop


# David - 2.2.2-77mdk - The QtCUPS and KUPS packages are taken from the distro,
#                       because QtCUPS got integrated into KDE and is "kprinter"
#                       now and KUPS is the KDE Printing Manager now (KDE
#                       Control Center, "System"/"Printing Manager". The tools
#                       are generalized to aso work with LPD or LPRng. To help
#                       the old-fashioned users who always type "kups" and
#                       "qtcups" at the command prompt
cd %buildroot/%_bindir
ln -s kprinter qtcups
ln -s kprinter lpr-kprinter
cd -

cd %buildroot/%_datadir/wallpapers/
ln -s %_datadir/mdk/backgrounds mandrake-linux

# David - 2.2.2-77mdk - Create a fake /usr/bin/kups
install -m 0755 %SOURCE2000 %buildroot/%_bindir/kups

# David - 3.0-0.beta1.8mdk - Allow users to launch KDE 3 easily. To remove when
#                            KDE 3 will be installed in /usr/
install -d -m 0755 %buildroot/etc/profile.d/
install -m 0755 %SOURCE1000 %buildroot/etc/profile.d/kde3.sh
#install -m 0755 %SOURCE1001 %buildroot/%_bindir/startkde3

install -m 0644 %SOURCE5000 %buildroot/%_datadir/apps/kdisplay/color-schemes/Galaxy.kcsrc


rm -rf %buildroot/usr/share/apps/kappfinder/apps/Utilities/*.desktop
rm -rf %buildroot/usr/share/apps/kappfinder/apps/Games/Roguelikes/*.desktop
rm -rf %buildroot/usr/share/apps/kappfinder/apps/Games/Arcade/*.desktop

rm -rf %buildroot/%_bindir/fileshareset
rm -rf %buildroot/%_bindir/filesharelist

# Don't autostart ktip
rm -rf %buildroot/usr/share/autostart/ktip.desktop

%post

# Laurent necessary to redefine "_bindir" otherwise upd-menu doesn't work
/sbin/ldconfig
/usr/sbin/update-alternatives --install /usr/bin/webclient-gnome webclient-gnome /usr/bin/konqueror 10
/usr/sbin/update-alternatives --install /usr/bin/webclient-kde webclient-kde /usr/bin/konqueror 30
/usr/sbin/update-alternatives --install /usr/X11R6/bin/xvt xvt /usr/bin/konsole 12
/usr/sbin/update-alternatives --install /usr/bin/lpr lpr /usr/bin/lpr-kprinter 7
if [ -x /etc/menu-methods/kde3.rpm* ]; then
   chmod a-x /etc/menu-methods/kde3.rpm*
fi
if [ -x /etc/menu-methods/kde3-menu-link.sh.rpm* ]; then
   chmod a-x /etc/menu-methods/kde3-menu-link.sh.rpm*
fi
%update_menus
%make_session


%preun
%clean_menus

%postun
%clean_menus
/sbin/ldconfig
if [ "$1" = "0" ]; then
   /usr/sbin/update-alternatives --remove xvt /usr/bin/konsole
   /usr/sbin/update-alternatives --remove webclient-gnome /usr/bin/konqueror
   /usr/sbin/update-alternatives --remove webclient-kde /usr/bin/konqueror
   /usr/sbin/update-alternatives --remove lpr /usr/bin/lpr-kprinter
fi
if [ -x /etc/menu-methods/kde3.rpm* ]; then
   chmod a-x /etc/menu-methods/kde3.rpm*
fi
if [ -x /etc/menu-methods/kde3-menu-link.sh.rpm* ]; then
   chmod a-x /etc/menu-methods/kde3-menu-link.sh.rpm*
fi
%make_session

%post nsplugins 
%update_menus
/sbin/ldconfig

%postun nsplugins
%clean_menus
/sbin/ldconfig



%clean
rm -fr %buildroot



%files 
%defattr(-,root,root)
#
#
#
# David - 3.0-0.beta1.8mdk - Allow users to launch KDE 3 easily. To remove when
#                            KDE 3 will be installed in /usr/
/etc/profile.d/kde3.sh
#
%config(noreplace) /etc/menu-methods/kde3-menu-link.sh
#
#
# David - 3.0-0.beta1.8mdk - We don't use _sysconfdir macro as long as we don't
#                            install KDE 3 in /usr/
#%dir %_sysconfdir/X11/
#%dir %_sysconfdir/X11/wmsession.d/
#%config(noreplace) %_sysconfdir/X11/wmsession.d/*KDE
%dir /etc/X11/wmsession.d/
%config(noreplace) /etc/X11/wmsession.d/*KDE
#
#
# David - 3.0-0.beta1.8mdk - We don't use _sysconfdir macro as long as we don't
#                            install KDE 3 in /usr/
#%config(noreplace) %_sysconfdir/menu-methods/kde3
%config(noreplace) /etc/menu-methods/kde3
#
%dir /etc/menu-methods/simplified/
%config(noreplace) /etc/menu-methods/simplified/kde3
#
#
%config(noreplace) %_sysconfdir/ksysguarddrc 
#
#
# David - 3.0-0.beta1.8mdk - We don't use _sysconfdir macro as long as we don't
#                            install KDE 3 in /usr/
#%dir %_sysconfdir/pam.d/
#%config(noreplace) %_sysconfdir/pam.d/kde3
#%config(noreplace) %_sysconfdir/pam.d/kscreensaver3
%config(noreplace) /etc/pam.d/kde3
%config(noreplace) /etc/pam.d/kscreensaver3
#
#
%dir %_datadir/config
%ifarch ppc
%config(noreplace) %_datadir/config/kcmartsrc
%endif
%config(noreplace) %_datadir/config/kcmdisplayrc
%config(noreplace) %_datadir/config/kcookiejarrc
%config(noreplace) %_datadir/config/kdesktoprc
%config(noreplace) %_datadir/config/kdesktop_custom_menu1
%config(noreplace) %_datadir/config/kdesktop_custom_menu2
%config(noreplace) %_datadir/config/klipperrc
%config(noreplace) %_datadir/config/konqsidebartng.rc
%config(noreplace) %_datadir/config/konsolerc
%config(noreplace) %_datadir/config/kpersonalizerrc
%config(noreplace) %_datadir/config/kshorturifilterrc
%config(noreplace) %_datadir/config/kuriikwsfilterrc
%config(noreplace) %_datadir/config/kxmlrpcdrc
%config(noreplace) %_datadir/config/clockappletrc
%config(noreplace) %_datadir/config/kwritedrc
%config(noreplace) %_datadir/config/konquerorrc
%ifnarch ppc
%config(noreplace) %_datadir/config/kdeglobals
%endif
#
#
%dir %_datadir/config/kdm/
%config(noreplace) %_datadir/config/kdm/kdmrc
%config(noreplace) %_datadir/config/kdm/backgroundrc
%doc %_datadir/config/kdm/README
%doc %_datadir/config/kdm/Xreset
%doc %_datadir/config/kdm/Xsetup
%doc %_datadir/config/kdm/Xstartup
%doc %_datadir/config/kdm/Xwilling
%doc %_datadir/config/kdm/Xresources
#
#
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
#
#
#
%dir %_docdir/HTML/en/kate/
%doc %_docdir/HTML/en/kate/*.bz2
%doc %_docdir/HTML/en/kate/*.docbook
%doc %_docdir/HTML/en/kate/*.png
#
#
%dir %_docdir/HTML/en/kcontrol/
%doc %_docdir/HTML/en/kcontrol/common
%doc %_docdir/HTML/en/kcontrol/*.docbook
%doc %_docdir/HTML/en/kcontrol/*.png
%doc %_docdir/HTML/en/kcontrol/*.bz2
#
%dir %_docdir/HTML/en/kcontrol/arts
%doc %_docdir/HTML/en/kcontrol/arts/common
%doc %_docdir/HTML/en/kcontrol/arts/*.docbook
%doc %_docdir/HTML/en/kcontrol/arts/*.bz2

%dir %_docdir/HTML/en/kcontrol/background/
%doc %_docdir/HTML/en/kcontrol/background/common
%doc %_docdir/HTML/en/kcontrol/background/*.docbook
%doc %_docdir/HTML/en/kcontrol/background/*.bz2

%dir %_docdir/HTML/en/kcontrol/bell/
%doc %_docdir/HTML/en/kcontrol/bell/common
%doc %_docdir/HTML/en/kcontrol/bell/*.docbook
%doc %_docdir/HTML/en/kcontrol/bell/*.bz2

%dir %_docdir/HTML/en/kcontrol/cache/
%doc %_docdir/HTML/en/kcontrol/cache/common
%doc %_docdir/HTML/en/kcontrol/cache/*.docbook
%doc %_docdir/HTML/en/kcontrol/cache/*.bz2

%dir %_docdir/HTML/en/kcontrol/clock/
%doc %_docdir/HTML/en/kcontrol/clock/common
%doc %_docdir/HTML/en/kcontrol/clock/*.docbook
%doc %_docdir/HTML/en/kcontrol/clock/*.bz2

%dir %_docdir/HTML/en/kcontrol/colors/
%doc %_docdir/HTML/en/kcontrol/colors/common
%doc %_docdir/HTML/en/kcontrol/colors/*.docbook
%doc %_docdir/HTML/en/kcontrol/colors/*.bz2

%dir %_docdir/HTML/en/kcontrol/cookies/
%doc %_docdir/HTML/en/kcontrol/cookies/common
%doc %_docdir/HTML/en/kcontrol/cookies/*.docbook
%doc %_docdir/HTML/en/kcontrol/cookies/*.bz2

%dir %_docdir/HTML/en/kcontrol/crypto/
%doc %_docdir/HTML/en/kcontrol/crypto/common
%doc %_docdir/HTML/en/kcontrol/crypto/*.docbook
%doc %_docdir/HTML/en/kcontrol/crypto/*.bz2


%dir %_docdir/HTML/en/kcontrol/desktop/
%doc %_docdir/HTML/en/kcontrol/desktop/common
%doc %_docdir/HTML/en/kcontrol/desktop/*.docbook
%doc %_docdir/HTML/en/kcontrol/desktop/*.bz2

%dir %_docdir/HTML/en/kcontrol/ebrowsing/
%doc %_docdir/HTML/en/kcontrol/ebrowsing/common
%doc %_docdir/HTML/en/kcontrol/ebrowsing/*.docbook
%doc %_docdir/HTML/en/kcontrol/ebrowsing/*.bz2

%dir %_docdir/HTML/en/kcontrol/email/
%doc %_docdir/HTML/en/kcontrol/email/common
%doc %_docdir/HTML/en/kcontrol/email/*.docbook
%doc %_docdir/HTML/en/kcontrol/email/*.bz2

%dir %_docdir/HTML/en/kcontrol/energy/
%doc %_docdir/HTML/en/kcontrol/energy/common
%doc %_docdir/HTML/en/kcontrol/energy/*.docbook
%doc %_docdir/HTML/en/kcontrol/energy/*.bz2

%dir %_docdir/HTML/en/kcontrol/filemanager/
%doc %_docdir/HTML/en/kcontrol/filemanager/common
%doc %_docdir/HTML/en/kcontrol/filemanager/*.docbook
%doc %_docdir/HTML/en/kcontrol/filemanager/*.bz2
%doc %_docdir/HTML/en/kcontrol/filemanager/*.png

%dir %_docdir/HTML/en/kcontrol/filetypes/
%doc %_docdir/HTML/en/kcontrol/filetypes/common
%doc %_docdir/HTML/en/kcontrol/filetypes/*.docbook
%doc %_docdir/HTML/en/kcontrol/filetypes/*.bz2

%dir %_docdir/HTML/en/kcontrol/fonts/
%doc %_docdir/HTML/en/kcontrol/fonts/common
%doc %_docdir/HTML/en/kcontrol/fonts/*.docbook
%doc %_docdir/HTML/en/kcontrol/fonts/*.bz2

%dir %_docdir/HTML/en/kcontrol/icons/
%doc %_docdir/HTML/en/kcontrol/icons/common
%doc %_docdir/HTML/en/kcontrol/icons/*.docbook
%doc %_docdir/HTML/en/kcontrol/icons/*.bz2

%dir %_docdir/HTML/en/kcontrol/kcmaccess/
%doc %_docdir/HTML/en/kcontrol/kcmaccess/common
%doc %_docdir/HTML/en/kcontrol/kcmaccess/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmaccess/*.bz2

%dir %_docdir/HTML/en/kcontrol/kcmcss/
%doc %_docdir/HTML/en/kcontrol/kcmcss/common
%doc %_docdir/HTML/en/kcontrol/kcmcss/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmcss/*.bz2

%dir %_docdir/HTML/en/kcontrol/kcmfontinst/
%doc %_docdir/HTML/en/kcontrol/kcmfontinst/common
%doc %_docdir/HTML/en/kcontrol/kcmfontinst/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmfontinst/*.bz2

%dir %_docdir/HTML/en/kcontrol/kcmkonsole/
%doc %_docdir/HTML/en/kcontrol/kcmkonsole/common
%doc %_docdir/HTML/en/kcontrol/kcmkonsole/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmkonsole/*.bz2

%dir %_docdir/HTML/en/kcontrol/kcmlaunch/
%doc %_docdir/HTML/en/kcontrol/kcmlaunch/common
%doc %_docdir/HTML/en/kcontrol/kcmlaunch/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmlaunch/*.bz2

%dir %_docdir/HTML/en/kcontrol/kcmnotify/
%doc %_docdir/HTML/en/kcontrol/kcmnotify/common
%doc %_docdir/HTML/en/kcontrol/kcmnotify/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmnotify/*.bz2

%dir %_docdir/HTML/en/kcontrol/kcmsmserver/
%doc %_docdir/HTML/en/kcontrol/kcmsmserver/common
%doc %_docdir/HTML/en/kcontrol/kcmsmserver/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmsmserver/*.bz2

%dir %_docdir/HTML/en/kcontrol/kcmstyle/
%doc %_docdir/HTML/en/kcontrol/kcmstyle/common
%doc %_docdir/HTML/en/kcontrol/kcmstyle/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmstyle/*.bz2

%dir %_docdir/HTML/en/kcontrol/kcmtaskbar/
%doc %_docdir/HTML/en/kcontrol/kcmtaskbar/common
%doc %_docdir/HTML/en/kcontrol/kcmtaskbar/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmtaskbar/*.bz2

%dir %_docdir/HTML/en/kcontrol/kdm/
%doc %_docdir/HTML/en/kcontrol/kdm/common
%doc %_docdir/HTML/en/kcontrol/kdm/*.docbook
%doc %_docdir/HTML/en/kcontrol/kdm/*.bz2

%dir %_docdir/HTML/en/kcontrol/helpindex.html/
%doc %_docdir/HTML/en/kcontrol/helpindex.html/common
%doc %_docdir/HTML/en/kcontrol/helpindex.html/*.docbook
%doc %_docdir/HTML/en/kcontrol/helpindex.html/*.bz2





#
%dir %_docdir/HTML/en/kdebugdialog/
%doc %_docdir/HTML/en/kdebugdialog/common
%doc %_docdir/HTML/en/kdebugdialog/*.bz2
%doc %_docdir/HTML/en/kdebugdialog/*.docbook
#
#
%dir %_docdir/HTML/en/kdesu/
%doc %_docdir/HTML/en/kdesu/*.bz2
%doc %_docdir/HTML/en/kdesu/*.docbook
#
#
%dir %_docdir/HTML/en/kdm/
%doc %_docdir/HTML/en/kdm/common
%doc %_docdir/HTML/en/kdm/*.bz2
%doc %_docdir/HTML/en/kdm/*.docbook
#
%dir %_docdir/HTML/en/kfind/
%doc %_docdir/HTML/en/kfind/common
%doc %_docdir/HTML/en/kfind/*.bz2
%doc %_docdir/HTML/en/kfind/*.docbook
#
%dir %_docdir/HTML/en/khelpcenter/
%doc %_docdir/HTML/en/khelpcenter/common
%doc %_docdir/HTML/en/khelpcenter/*.css
%doc %_docdir/HTML/en/khelpcenter/*.docbook
%doc %_docdir/HTML/en/khelpcenter/*.png
%doc %_docdir/HTML/en/khelpcenter/*.bz2
#
%dir %_docdir/HTML/en/khelpcenter/faq/
%doc %_docdir/HTML/en/khelpcenter/faq/common
%doc %_docdir/HTML/en/khelpcenter/faq/TODO
%doc %_docdir/HTML/en/khelpcenter/faq/*.docbook
%doc %_docdir/HTML/en/khelpcenter/faq/*.bz2
#
%dir %_docdir/HTML/en/khelpcenter/glossary/
%doc %_docdir/HTML/en/khelpcenter/glossary/*.bz2
%doc %_docdir/HTML/en/khelpcenter/glossary/*.docbook
#
%dir %_docdir/HTML/en/khelpcenter/quickstart/
%doc %_docdir/HTML/en/khelpcenter/quickstart/common
%doc %_docdir/HTML/en/khelpcenter/quickstart/*.bz2
%doc %_docdir/HTML/en/khelpcenter/quickstart/*.docbook
#
%dir %_docdir/HTML/en/khelpcenter/userguide/
%doc %_docdir/HTML/en/khelpcenter/userguide/common
%doc %_docdir/HTML/en/khelpcenter/userguide/*.bz2
%doc %_docdir/HTML/en/khelpcenter/userguide/*.docbook
#
%dir %_docdir/HTML/en/khelpcenter/visualdict/
%doc %_docdir/HTML/en/khelpcenter/visualdict/common
%doc %_docdir/HTML/en/khelpcenter/visualdict/*.docbook
%doc %_docdir/HTML/en/khelpcenter/visualdict/*.png
%doc %_docdir/HTML/en/khelpcenter/visualdict/*.bz2
#
%dir %_docdir/HTML/en/kdeprint/
%doc %_docdir/HTML/en/kdeprint/*.png
%doc %_docdir/HTML/en/kdeprint/*.bz2
%doc %_docdir/HTML/en/kdeprint/*.docbook
%doc %_docdir/HTML/en/kdeprint/common
#
%dir %_docdir/HTML/en/kicker/
%doc %_docdir/HTML/en/kicker/common
%doc %_docdir/HTML/en/kicker/*.bz2
%doc %_docdir/HTML/en/kicker/*.docbook
%doc %_docdir/HTML/en/kicker/*.png
#
#
%dir %_docdir/HTML/en/kioslave/
%doc %_docdir/HTML/en/kioslave/*.docbook
%doc %_docdir/HTML/en/kioslave/common
%doc %_docdir/HTML/en/kioslave/*.bz2
#
#
%dir %_docdir/HTML/en/klipper/
%doc %_docdir/HTML/en/klipper/common
%doc %_docdir/HTML/en/klipper/*.bz2
%doc %_docdir/HTML/en/klipper/*.docbook
%doc %_docdir/HTML/en/klipper/*.png
#
#
%dir %_docdir/HTML/en/kmenuedit/
%doc %_docdir/HTML/en/kmenuedit/common
%doc %_docdir/HTML/en/kmenuedit/*.bz2
%doc %_docdir/HTML/en/kmenuedit/*.docbook
%doc %_docdir/HTML/en/kmenuedit/*.png
#
#
%dir %_docdir/HTML/en/konqueror/
%doc %_docdir/HTML/en/konqueror/common
%doc %_docdir/HTML/en/konqueror/*.bz2
%doc %_docdir/HTML/en/konqueror/*.docbook
%doc %_docdir/HTML/en/konqueror/*.png
#
#
%dir %_docdir/HTML/en/konsole/
%doc %_docdir/HTML/en/konsole/common
%doc %_docdir/HTML/en/konsole/*.bz2
%doc %_docdir/HTML/en/konsole/*.docbook
%doc %_docdir/HTML/en/konsole/*.png
#
#
%dir %_docdir/HTML/en/kpager/
%doc %_docdir/HTML/en/kpager/common
%doc %_docdir/HTML/en/kpager/*.bz2
%doc %_docdir/HTML/en/kpager/*.docbook
%doc %_docdir/HTML/en/kpager/*.png
#
#
%dir %_docdir/HTML/en/ksysguard/
%doc %_docdir/HTML/en/ksysguard/common
%doc %_docdir/HTML/en/ksysguard/*.bz2
%doc %_docdir/HTML/en/ksysguard/*.docbook
#
#
%dir %_docdir/HTML/en/kwrite/
%doc %_docdir/HTML/en/kwrite/common
%doc %_docdir/HTML/en/kwrite/*.bz2
%doc %_docdir/HTML/en/kwrite/*.docbook
#

%_libdir/kde3/liblocaldomainurifilter.la
%_libdir/kde3/liblocaldomainurifilter.so

%_datadir/applnk/Games/Kidsgames/.directory
%_datadir/applnk/Games/Roguelikes/.directory

%_datadir/applnk/Graphics/More/.directory

%_datadir/applnk/.hidden/*.desktop
%_datadir/applnk/Internet/More/.directory
%_datadir/applnk/Multimedia/More/.directory

%_datadir/applnk/Settings/Accessibility/.directory
%_datadir/applnk/Settings/Accessibility/*.desktop

%_datadir/applnk/Settings/Components/.directory
%_datadir/applnk/Settings/Components/*.desktop

%_datadir/applnk/Settings/Desktop/*.desktop
%_datadir/applnk/Settings/Desktop/.directory

%_datadir/applnk/Settings/email.desktop

%_datadir/applnk/Settingsmenu/.directory
%_datadir/applnk/Settingsmenu/*.desktop

%_datadir/applnk/Settings/Network/WebBrowsing/*.desktop
%_datadir/applnk/Settings/Network/WebBrowsing/.directory
%_datadir/applnk/Settings/Network/WebBrowsing/ebrowsing.desktop

%_datadir/applnk/Settings/Personalization/kcmlayout.desktop

%_datadir/applnk/Settings/PowerControl/.directory
%_datadir/applnk/Settings/PowerControl/energy.desktop

%_datadir/applnk/Settings/Security/crypto.desktop
%_datadir/applnk/Settings/Security/.directory
%_datadir/applnk/Settings/Security/passwords.desktop

%_datadir/applnk/System/More/.directory
%_datadir/applnk/System/More/konquerorsu.desktop
%_datadir/applnk/System/More/konsolesu.desktop
%_datadir/applnk/System/ScreenSavers/.directory
%_datadir/applnk/System/ScreenSavers/KBlankscreen.desktop
%_datadir/applnk/System/ScreenSavers/KRandom.desktop

%_datadir/applnk/Utilities/More/.directory
%_datadir/applnk/Utilities/More/kpager.desktop
%_datadir/applnk/Utilities/XUtilities/.directory


%_datadir/apps/kinfocenter/kinfocenterui.rc

%_datadir/config/kdm/Xaccess
#%_datadir/config/kdm/Xresources
%_datadir/config/kdm/Xservers
%_datadir/config/kdm/Xsession

%doc %_docdir/HTML/en/kate/TODO
%dir %_docdir/HTML/en/kcontrol/keyboard/
%doc %_docdir/HTML/en/kcontrol/keyboard/*.bz2
%doc %_docdir/HTML/en/kcontrol/keyboard/*.docbook

%dir %_docdir/HTML/en/kcontrol/keys/
%doc %_docdir/HTML/en/kcontrol/keys/common
%doc %_docdir/HTML/en/kcontrol/keys/*.bz2
%doc %_docdir/HTML/en/kcontrol/keys/*.docbook

%dir %_docdir/HTML/en/kcontrol/khtml/
%doc %_docdir/HTML/en/kcontrol/khtml/common
%doc %_docdir/HTML/en/kcontrol/khtml/*.bz2
%doc %_docdir/HTML/en/kcontrol/khtml/*.docbook

%dir %_docdir/HTML/en/kcontrol/kthememgr/
%doc %_docdir/HTML/en/kcontrol/kthememgr/common
%doc %_docdir/HTML/en/kcontrol/kthememgr/*.bz2
%doc %_docdir/HTML/en/kcontrol/kthememgr/*.docbook

%dir %_docdir/HTML/en/kcontrol/kwindecoration/
%doc %_docdir/HTML/en/kcontrol/kwindecoration/common
%doc %_docdir/HTML/en/kcontrol/kwindecoration/*.bz2
%doc %_docdir/HTML/en/kcontrol/kwindecoration/*.docbook

%dir %_docdir/HTML/en/kcontrol/language/
%doc %_docdir/HTML/en/kcontrol/language/common
%doc %_docdir/HTML/en/kcontrol/language/*.bz2
%doc %_docdir/HTML/en/kcontrol/language/*.docbook

%dir %_docdir/HTML/en/kcontrol/mouse/
%doc %_docdir/HTML/en/kcontrol/mouse/common
%doc %_docdir/HTML/en/kcontrol/mouse/*.bz2
%doc %_docdir/HTML/en/kcontrol/mouse/*.docbook

%dir %_docdir/HTML/en/kcontrol/netpref/
%doc %_docdir/HTML/en/kcontrol/netpref/common
%doc %_docdir/HTML/en/kcontrol/netpref/*.bz2
%doc %_docdir/HTML/en/kcontrol/netpref/*.docbook

%dir %_docdir/HTML/en/kcontrol/panel/
%doc %_docdir/HTML/en/kcontrol/panel/common
%doc %_docdir/HTML/en/kcontrol/panel/*.bz2
%doc %_docdir/HTML/en/kcontrol/panel/*.docbook

%dir %_docdir/HTML/en/kcontrol/passwords/
%doc %_docdir/HTML/en/kcontrol/passwords/common
%doc %_docdir/HTML/en/kcontrol/passwords/*.bz2
%doc %_docdir/HTML/en/kcontrol/passwords/*.docbook

%dir %_docdir/HTML/en/kcontrol/proxy/
%doc %_docdir/HTML/en/kcontrol/proxy/common
%doc %_docdir/HTML/en/kcontrol/proxy/*.bz2
%doc %_docdir/HTML/en/kcontrol/proxy/*.docbook

%dir %_docdir/HTML/en/kcontrol/screensaver/
%doc %_docdir/HTML/en/kcontrol/screensaver/common
%doc %_docdir/HTML/en/kcontrol/screensaver/*.bz2
%doc %_docdir/HTML/en/kcontrol/screensaver/*.docbook

%dir %_docdir/HTML/en/kcontrol/smb/
%doc %_docdir/HTML/en/kcontrol/smb/common
%doc %_docdir/HTML/en/kcontrol/smb/*.bz2
%doc %_docdir/HTML/en/kcontrol/smb/*.docbook

%dir %_docdir/HTML/en/kcontrol/spellchecking/
%doc %_docdir/HTML/en/kcontrol/spellchecking/common
%doc %_docdir/HTML/en/kcontrol/spellchecking/*.bz2
%doc %_docdir/HTML/en/kcontrol/spellchecking/*.docbook

%dir %_docdir/HTML/en/kcontrol/useragent/
%doc %_docdir/HTML/en/kcontrol/useragent/common
%doc %_docdir/HTML/en/kcontrol/useragent/*.bz2
%doc %_docdir/HTML/en/kcontrol/useragent/*.docbook

%dir %_docdir/HTML/en/kcontrol/windowmanagement/
%doc %_docdir/HTML/en/kcontrol/windowmanagement/common
%doc %_docdir/HTML/en/kcontrol/windowmanagement/*.bz2
%doc %_docdir/HTML/en/kcontrol/windowmanagement/*.docbook

%doc %_docdir/HTML/en/khelpcenter/glossary/checkxrefs

%dir %_docdir/HTML/en/kinfocenter/devices/
%doc %_docdir/HTML/en/kinfocenter/devices/common
%doc %_docdir/HTML/en/kinfocenter/devices/*.bz2
%doc %_docdir/HTML/en/kinfocenter/devices/*.docbook

%dir %_docdir/HTML/en/kinfocenter/dma/
%doc %_docdir/HTML/en/kinfocenter/dma/common
%doc %_docdir/HTML/en/kinfocenter/dma/*.bz2
%doc %_docdir/HTML/en/kinfocenter/dma/*.docbook

%dir %_docdir/HTML/en/kinfocenter/
%doc %_docdir/HTML/en/kinfocenter/common
%doc %_docdir/HTML/en/kinfocenter/*.bz2
%doc %_docdir/HTML/en/kinfocenter/*.docbook

%dir %_docdir/HTML/en/kinfocenter/interrupts/
%doc %_docdir/HTML/en/kinfocenter/interrupts/common
%doc %_docdir/HTML/en/kinfocenter/interrupts/*.bz2
%doc %_docdir/HTML/en/kinfocenter/interrupts/*.docbook

%dir %_docdir/HTML/en/kinfocenter/ioports/
%doc %_docdir/HTML/en/kinfocenter/ioports/common
%doc %_docdir/HTML/en/kinfocenter/ioports/*.bz2
%doc %_docdir/HTML/en/kinfocenter/ioports/*.docbook

%dir %_docdir/HTML/en/kinfocenter/memory/
%doc %_docdir/HTML/en/kinfocenter/memory/common
%doc %_docdir/HTML/en/kinfocenter/memory/*.bz2
%doc %_docdir/HTML/en/kinfocenter/memory/*.docbook

%dir %_docdir/HTML/en/kinfocenter/nics/
%doc %_docdir/HTML/en/kinfocenter/nics/common
%doc %_docdir/HTML/en/kinfocenter/nics/*.bz2
%doc %_docdir/HTML/en/kinfocenter/nics/*.docbook

%dir %_docdir/HTML/en/kinfocenter/partitions/
%doc %_docdir/HTML/en/kinfocenter/partitions/common
%doc %_docdir/HTML/en/kinfocenter/partitions/*.bz2
%doc %_docdir/HTML/en/kinfocenter/partitions/*.docbook

%dir %_docdir/HTML/en/kinfocenter/pci/
%doc %_docdir/HTML/en/kinfocenter/pci/common
%doc %_docdir/HTML/en/kinfocenter/pci/*.bz2
%doc %_docdir/HTML/en/kinfocenter/pci/*.docbook

%dir %_docdir/HTML/en/kinfocenter/pcmcia/
%doc %_docdir/HTML/en/kinfocenter/pcmcia/common
%doc %_docdir/HTML/en/kinfocenter/pcmcia/*.bz2
%doc %_docdir/HTML/en/kinfocenter/pcmcia/*.docbook

%dir %_docdir/HTML/en/kinfocenter/processor/
%doc %_docdir/HTML/en/kinfocenter/processor/common
%doc %_docdir/HTML/en/kinfocenter/processor/*.bz2
%doc %_docdir/HTML/en/kinfocenter/processor/*.docbook

%dir %_docdir/HTML/en/kinfocenter/protocols/
%doc %_docdir/HTML/en/kinfocenter/protocols/common
%doc %_docdir/HTML/en/kinfocenter/protocols/*.bz2
%doc %_docdir/HTML/en/kinfocenter/protocols/*.docbook

%dir %_docdir/HTML/en/kinfocenter/samba/
%doc %_docdir/HTML/en/kinfocenter/samba/common
%doc %_docdir/HTML/en/kinfocenter/samba/*.bz2
%doc %_docdir/HTML/en/kinfocenter/samba/*.docbook

%dir %_docdir/HTML/en/kinfocenter/scsi/
%doc %_docdir/HTML/en/kinfocenter/scsi/common
%doc %_docdir/HTML/en/kinfocenter/scsi/*.bz2
%doc %_docdir/HTML/en/kinfocenter/scsi/*.docbook

%dir %_docdir/HTML/en/kinfocenter/sound/
%doc %_docdir/HTML/en/kinfocenter/sound/common
%doc %_docdir/HTML/en/kinfocenter/sound/*.bz2
%doc %_docdir/HTML/en/kinfocenter/sound/*.docbook

%dir %_docdir/HTML/en/kinfocenter/usb/
%doc %_docdir/HTML/en/kinfocenter/usb/common
%doc %_docdir/HTML/en/kinfocenter/usb/*.bz2
%doc %_docdir/HTML/en/kinfocenter/usb/*.docbook

%dir %_docdir/HTML/en/kinfocenter/xserver/
%doc %_docdir/HTML/en/kinfocenter/xserver/common
%doc %_docdir/HTML/en/kinfocenter/xserver/*.bz2
%doc %_docdir/HTML/en/kinfocenter/xserver/*.docbook

%_datadir/locale/l10n/so/flag.png



#
#
%_bindir/kinfocenter
%_bindir/mdkdoc-kicker
%_bindir/klocaldomainurifilterhelper
#%_bindir/fileshareset
%_bindir/ArrangeIcons
%_bindir/appletproxy
%_bindir/drkonqi
%_bindir/kdialog
%_bindir/kio_devices_mounthelper
%_bindir/extensionproxy
%_bindir/kaccess
%_bindir/kappfinder
%_bindir/kate
%_bindir/kcheckpass
%_bindir/kcminit
%_bindir/kcmshell
%_bindir/kcontrol

%ifarch ppc
%_bindir/kcontrol-ppc
%endif

%_bindir/kdcop
%_bindir/kdebugdialog
%_bindir/kdeeject
%_bindir/kdeprintfax
%_bindir/kdesktop
%_bindir/kdesktop-links
%_bindir/kfind
%_bindir/ksystraycmd
%_bindir/kdesktop-network
%_bindir/kdesktop_lock
%_bindir/kdesu
%attr(-,root,nogroup) %_bindir/kdesud
%_bindir/keditbookmarks
%_bindir/keditfiletype
%_bindir/kfmclient
%_bindir/kfmexec
%_bindir/khelpcenter
%_bindir/khotkeys
%_bindir/kicker
%_bindir/kjobviewer
%_bindir/klipper
%_bindir/kmenu-preferences-switch
%_bindir/kmenuedit
%_bindir/konqueror
%_bindir/konsole
%_bindir/konsole_grantpty
%_bindir/kpager
%_bindir/kpersonalizer
%_bindir/kprinter 
%_bindir/krdb
%_bindir/kreadconfig
%_bindir/ksmserver
%_bindir/ksplash
%_bindir/kstart
%_bindir/ksysguard
%_bindir/ksysguardd
%_bindir/ktip
%_bindir/kwebdesktop
%_bindir/kwin
%_bindir/kwmtheme
%_bindir/kwrite
%_bindir/kwrited
%_bindir/kxkb
%_bindir/removekdesysmenu.pl
%_bindir/removekdesysmenu-simplified.pl
%_bindir/restorekdemimetypes.pl
%_bindir/savekdemimetypes.pl
%_bindir/startkde*
%_bindir/test-windows-key

%_bindir/kpm
%_bindir/lpr-kprinter
%_bindir/qtcups
%_bindir/kups
#
#
#
# David - 3.0-0.beta1.8mdk - Screensavers
#                            Please not included those which can have legal
#                            issue (kmatrix is a good example)
%_bindir/kblankscrn.kss
%_bindir/krandom.kss
#
#
# David - 3.0-0.beta1.8mdk - We provide this .a at present time because we
#                            currently don't know if it is needed or not
%_libdir/*.a
#
%_libdir/appletproxy.la
%_libdir/extensionproxy.la
%_libdir/kate.la
%_libdir/kdesktop.la
%_libdir/keditbookmarks.la
%_libdir/kfmclient.la
%_libdir/khotkeys.la
%_libdir/kicker.la
%_libdir/kjobviewer.la
%_libdir/klipper.la
%_libdir/kmenuedit.la
%_libdir/konqueror.la
%_libdir/konsole.la
%_libdir/ksmserver.la
%_libdir/kwin.la
%_libdir/kwrite.la
%_libdir/kwrited.la
%_libdir/kxkb.la
%_libdir/libkateinterfaces.la
%_libdir/libkickermain.la
%_libdir/libkonqsidebarplugin.la
%_libdir/libkonq_sidebar_tree.la
%_libdir/libkonq.la
#%_libdir/libkonsolepart.la
%_libdir/libksgrd.la
%_libdir/libnsplugin.la
%_libdir/libsensordisplays.la
%_libdir/libtaskbar.la
%_libdir/libtaskmanager.la
%_libdir/kcontrol.la
%_libdir/kcmshell.la
%_libdir/kcminit.la
%_libdir/kaccess.la
%_libdir/libkfindpart.la
%_libdir/kprinter.la
%_libdir/libkmultitabbar.la
#
%_libdir/appletproxy.so
%_libdir/extensionproxy.so
%_libdir/kate.so
%_libdir/kdesktop.so
%_libdir/keditbookmarks.so
%_libdir/kfmclient.so
%_libdir/khotkeys.so
%_libdir/kicker.so
%_libdir/kjobviewer.so
%_libdir/klipper.so
%_libdir/kmenuedit.so*
%_libdir/konqueror.so
%_libdir/konsole.so
%_libdir/ksmserver.so
%_libdir/kwin.so
%_libdir/kwrite.so
%_libdir/kwrited.so
%_libdir/kxkb.so
%_libdir/libkateinterfaces.so*
%_libdir/libkickermain.so*
%_libdir/libkonqsidebarplugin.so*
%_libdir/libkonq_sidebar_tree.so
%_libdir/libkonq.so*
%_libdir/libksgrd.so*
%_libdir/libnsplugin.so
%_libdir/libsensordisplays.so*
%_libdir/libtaskbar.so*
%_libdir/libtaskmanager.so*
%_libdir/kcontrol.so
%_libdir/kcmshell.so
%_libdir/kcminit.so
%_libdir/kaccess.so
%_libdir/libkfindpart.so

%_libdir/kprinter.so
%_libdir/libkmultitabbar.so*

#

#
%_libdir/kde3/libkonsolepart.so
%_libdir/kde3/kio_about.so*
%_libdir/kde3/childpanel_panelextension.so*
%_libdir/kde3/clock_panelapplet.so*
%_libdir/kde3/dockbar_panelextension.so*
%_libdir/kde3/gsthumbnail.so
%_libdir/kde3/htmlthumbnail.so
%_libdir/kde3/imagethumbnail.so
%_libdir/kde3/kasbar_panelextension.so*
%_libdir/kde3/kcm_access.so
%_libdir/kde3/kcm_arts.so
%_libdir/kde3/kcm_background.so
%_libdir/kde3/kcm_bell.so
%_libdir/kde3/kcm_clock.so
%_libdir/kde3/kcm_colors.so
%_libdir/kde3/kcm_crypto.so
%_libdir/kde3/kcm_css.so
%_libdir/kde3/kcm_email.so
%_libdir/kde3/kcm_energy.so
%_libdir/kde3/kcm_filetypes.so
%_libdir/kde3/kcm_fontinst.so
%_libdir/kde3/kcm_fonts.so
%_libdir/kde3/kcm_icons.so
%_libdir/kde3/kcm_info.so
%_libdir/kde3/kcm_input.so
%_libdir/kde3/kcm_ioslaveinfo.so
%_libdir/kde3/kcm_kdm.so
%_libdir/kde3/kcm_keyboard.so
%_libdir/kde3/kcm_keys.so
%_libdir/kde3/kcm_khotkeys.so
%_libdir/kde3/kcm_kicker.so
%_libdir/kde3/kcm_kio.so
%_libdir/kde3/kcm_knotify.so
%_libdir/kde3/kcm_konqhtml.so
%_libdir/kde3/kcm_konq.so
%_libdir/kde3/kcm_konsole.so
%_libdir/kde3/kcm_kurifilt.so
%_libdir/kde3/kcm_kwindecoration.so
%_libdir/kde3/kcm_kwinoptions.so
%_libdir/kde3/kcm_launch.so
%_libdir/kde3/kcm_locale.so
%_libdir/kde3/kcm_nic.so
%_libdir/kde3/kcm_passwords.so
%_libdir/kde3/kcm_printmgr.so
%_libdir/kde3/kcm_samba.so
%_libdir/kde3/kcm_screensaver.so
%_libdir/kde3/kcm_smserver.so
%_libdir/kde3/kcm_spellchecking.so
%_libdir/kde3/kcm_style.so
%_libdir/kde3/kcm_taskbar.so
%_libdir/kde3/kcm_themes.so
%_libdir/kde3/kcm_usb.so
%_libdir/kde3/khelpcenter.so
%_libdir/kde3/kickermenu_kdeprint.so
%_libdir/kde3/kio_filter.so
%_libdir/kde3/kio_finger.so
%_libdir/kde3/kio_floppy.so
%_libdir/kde3/kio_imap4.so
%_libdir/kde3/kio_info.so
%_libdir/kde3/kio_man.so
%_libdir/kde3/kio_nfs.so
%_libdir/kde3/kio_nntp.so
%_libdir/kde3/kio_pop3.so
%_libdir/kde3/kio_print.so
%_libdir/kde3/kio_sftp.so
%_libdir/kde3/kio_smb.so
%_libdir/kde3/kio_smtp.so
%_libdir/kde3/kio_tar.so
%_libdir/kde3/kio_thumbnail.so
%_libdir/kde3/klipper_panelapplet.so
%_libdir/kde3/konq_aboutpage.so
%_libdir/kde3/konq_iconview.so
%_libdir/kde3/konq_listview.so
%_libdir/kde3/konq_shellcmdplugin.so
%_libdir/kde3/konq_sidebar.so
%_libdir/kde3/konq_sidebartree_bookmarks.so
%_libdir/kde3/konq_sidebartree_dirtree.so
%_libdir/kde3/konq_sidebartree_history.so
%_libdir/kde3/konqsidebar_tree.so
%_libdir/kde3/konq_sound.so
%_libdir/kde3/kwin_b2_config.so
%_libdir/kde3/kwin_b2.so
%_libdir/kde3/kwin_default_config.so
%_libdir/kde3/kwin_default.so
%_libdir/kde3/kwin_icewm_config.so
%_libdir/kde3/kwin_icewm.so
%_libdir/kde3/kwin_kde1.so
%_libdir/kde3/kwin_kstep.so
%_libdir/kde3/kwin_kwmtheme.so
%_libdir/kde3/kwin_laptop.so
%_libdir/kde3/kwin_modernsys_config.so
%_libdir/kde3/kwin_modernsys.so
%_libdir/kde3/kwin_quartz_config.so
%_libdir/kde3/kwin_quartz.so
%_libdir/kde3/kwin_redmond.so
%_libdir/kde3/kwin_riscos.so
%_libdir/kde3/kwin_system.so
%_libdir/kde3/kwin_web.so
%_libdir/kde3/launcher_panelapplet.so*
%_libdir/kde3/libkdeprint_part.so
%_libdir/kde3/libkshorturifilter.so
%_libdir/kde3/libkuriikwsfilter.so
%_libdir/kde3/libkurisearchfilter.so
%_libdir/kde3/lockout_panelapplet.so*
%_libdir/kde3/minipager_panelapplet.so*
%_libdir/kde3/naughty_panelapplet.so*
%_libdir/kde3/run_panelapplet.so*
%_libdir/kde3/sysguard_panelapplet.so*
%_libdir/kde3/systemtray_panelapplet.so*
%_libdir/kde3/taskbar_panelapplet.so*
%_libdir/kde3/taskbar_panelextension.so*
%_libdir/kde3/textthumbnail.so
%_libdir/kde3/kded_favicons.so
%_libdir/kde3/kio_ldap.so

%_libdir/kde3/fontthumbnail.so
%_libdir/kde3/kcm_cgi.so
%_libdir/kde3/kcm_componentchooser.so
%_libdir/kde3/kcm_fileshare.so
%_libdir/kde3/kcm_helpcenter.so
%_libdir/kde3/kcm_history.so
%_libdir/kde3/kcm_kded.so
%_libdir/kde3/kded_mountwatcher.so
%_libdir/kde3/kfile_font.so
%_libdir/kde3/kickermenu_konsole.so
%_libdir/kde3/kickermenu_prefmenu.so
%_libdir/kde3/kickermenu_recentdocs.so
%_libdir/kde3/kio_cgi.so
%_libdir/kde3/kio_devices.so
%_libdir/kde3/kio_fish.so
%_libdir/kde3/kio_mac.so
%_libdir/kde3/kio_zip.so
%_libdir/kde3/kwin_keramik_config.so
%_libdir/kde3/kwin_keramik.so
%_libdir/kde3/libkmanpart.so
%_libdir/kde3/picturethumbnail.so
#
#
%_libdir/kde3/libkonsolepart.la
%_libdir/kde3/kio_about.la
%_libdir/kde3/childpanel_panelextension.la
%_libdir/kde3/clock_panelapplet.la
%_libdir/kde3/dockbar_panelextension.la
%_libdir/kde3/gsthumbnail.la
%_libdir/kde3/htmlthumbnail.la
%_libdir/kde3/imagethumbnail.la
%_libdir/kde3/kasbar_panelextension.la
%_libdir/kde3/kcm_access.la
%_libdir/kde3/kcm_arts.la
%_libdir/kde3/kcm_background.la
%_libdir/kde3/kcm_bell.la
%_libdir/kde3/kcm_clock.la
%_libdir/kde3/kcm_colors.la
%_libdir/kde3/kcm_crypto.la
%_libdir/kde3/kcm_css.la
%_libdir/kde3/kcm_email.la
%_libdir/kde3/kcm_energy.la
%_libdir/kde3/kcm_filetypes.la
%_libdir/kde3/kcm_fontinst.la
%_libdir/kde3/kcm_fonts.la
%_libdir/kde3/kcm_icons.la
%_libdir/kde3/kcm_info.la
%_libdir/kde3/kcm_input.la
%_libdir/kde3/kcm_ioslaveinfo.la
%_libdir/kde3/kcm_kdm.la
%_libdir/kde3/kcm_keyboard.la
%_libdir/kde3/kcm_keys.la
%_libdir/kde3/kcm_khotkeys.la
%_libdir/kde3/kcm_kicker.la
%_libdir/kde3/kcm_kio.la
%_libdir/kde3/kcm_knotify.la
%_libdir/kde3/kcm_konqhtml.la
%_libdir/kde3/kcm_konq.la
%_libdir/kde3/kcm_konsole.la
%_libdir/kde3/kcm_kurifilt.la
%_libdir/kde3/kcm_kwindecoration.la
%_libdir/kde3/kcm_kwinoptions.la
%_libdir/kde3/kcm_launch.la
%_libdir/kde3/kcm_locale.la
%_libdir/kde3/kcm_nic.la
%_libdir/kde3/kcm_passwords.la
%_libdir/kde3/kcm_printmgr.la
%_libdir/kde3/kcm_samba.la
%_libdir/kde3/kcm_screensaver.la
%_libdir/kde3/kcm_smserver.la
%_libdir/kde3/kcm_spellchecking.la
%_libdir/kde3/kcm_style.la
%_libdir/kde3/kcm_taskbar.la
%_libdir/kde3/kcm_themes.la
%_libdir/kde3/kcm_usb.la
%_libdir/kde3/khelpcenter.la
%_libdir/kde3/kickermenu_kdeprint.la
#%_libdir/kde3/kio_audiocd.la
%_libdir/kde3/kio_filter.la
%_libdir/kde3/kio_finger.la
%_libdir/kde3/kio_floppy.la
%_libdir/kde3/kio_imap4.la
%_libdir/kde3/kio_info.la
%_libdir/kde3/kio_man.la
%_libdir/kde3/kio_nfs.la
%_libdir/kde3/kio_nntp.la
%_libdir/kde3/kio_pop3.la
%_libdir/kde3/kio_print.la
%_libdir/kde3/kio_sftp.la
%_libdir/kde3/kio_smb.la
%_libdir/kde3/kio_smtp.la
%_libdir/kde3/kio_tar.la
%_libdir/kde3/kio_thumbnail.la
%_libdir/kde3/klipper_panelapplet.la
%_libdir/kde3/konq_aboutpage.la
%_libdir/kde3/konq_iconview.la
%_libdir/kde3/konq_listview.la
%_libdir/kde3/konq_shellcmdplugin.la
%_libdir/kde3/konq_sidebar.la
%_libdir/kde3/konq_sidebartree_bookmarks.la
%_libdir/kde3/konq_sidebartree_dirtree.la
%_libdir/kde3/konq_sidebartree_history.la
%_libdir/kde3/konqsidebar_tree.la
%_libdir/kde3/konq_sound.la
%_libdir/kde3/kwin_b2_config.la
%_libdir/kde3/kwin_b2.la
%_libdir/kde3/kwin_default_config.la
%_libdir/kde3/kwin_default.la
%_libdir/kde3/kwin_icewm_config.la
%_libdir/kde3/kwin_icewm.la
%_libdir/kde3/kwin_kde1.la
%_libdir/kde3/kwin_kstep.la
%_libdir/kde3/kwin_kwmtheme.la
%_libdir/kde3/kwin_laptop.la
%_libdir/kde3/kwin_modernsys_config.la
%_libdir/kde3/kwin_modernsys.la
%_libdir/kde3/kwin_quartz_config.la
%_libdir/kde3/kwin_quartz.la
%_libdir/kde3/kwin_redmond.la
%_libdir/kde3/kwin_riscos.la
%_libdir/kde3/kwin_system.la
%_libdir/kde3/kwin_web.la
%_libdir/kde3/launcher_panelapplet.la
%_libdir/kde3/libkdeprint_part.la
%_libdir/kde3/libkshorturifilter.la
%_libdir/kde3/libkuriikwsfilter.la
%_libdir/kde3/libkurisearchfilter.la
%_libdir/kde3/lockout_panelapplet.la
%_libdir/kde3/minipager_panelapplet.la
%_libdir/kde3/naughty_panelapplet.la
%_libdir/kde3/run_panelapplet.la
%_libdir/kde3/sysguard_panelapplet.la
%_libdir/kde3/systemtray_panelapplet.la
%_libdir/kde3/taskbar_panelapplet.la
%_libdir/kde3/taskbar_panelextension.la
%_libdir/kde3/textthumbnail.la
%_libdir/kde3/kded_favicons.la
%_libdir/kde3/kio_ldap.la

%_libdir/kde3/fontthumbnail.la
%_libdir/kde3/kcm_cgi.la
%_libdir/kde3/kcm_componentchooser.la
%_libdir/kde3/kcm_fileshare.la
%_libdir/kde3/kcm_helpcenter.la
%_libdir/kde3/kcm_history.la
%_libdir/kde3/kcm_kded.la
%_libdir/kde3/kded_mountwatcher.la
%_libdir/kde3/kfile_font.la
%_libdir/kde3/kickermenu_konsole.la
%_libdir/kde3/kickermenu_prefmenu.la
%_libdir/kde3/kickermenu_recentdocs.la
%_libdir/kde3/kio_cgi.la
%_libdir/kde3/kio_devices.la
%_libdir/kde3/kio_fish.la
%_libdir/kde3/kio_mac.la
%_libdir/kde3/kio_zip.la
%_libdir/kde3/kwin_keramik_config.la
%_libdir/kde3/kwin_keramik.la
%_libdir/kde3/libkmanpart.la
%_libdir/kde3/picturethumbnail.la

#
%dir %_datadir/applnk/
%_datadir/applnk/.directory
%_datadir/applnk/*.desktop
#
%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/konqfilemgr.desktop
#
%dir %_datadir/applnk/Applications/
%_datadir/applnk/Applications/.directory
#
%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/.directory
#
%dir %_datadir/applnk/Editors/
%_datadir/applnk/Editors/.directory
%_datadir/applnk/Editors/*.desktop
#
%dir %_datadir/applnk/Edutainment/
%_datadir/applnk/Edutainment/.directory

%dir %_datadir/applnk/Games/
%_datadir/applnk/Games/.directory
#
%dir %_datadir/applnk/Games/Arcade
%_datadir/applnk/Games/Arcade/.directory
#
%dir %_datadir/applnk/Games/Board
%_datadir/applnk/Games/Board/.directory
#
%dir %_datadir/applnk/Games/Card
%_datadir/applnk/Games/Card/.directory
#
%dir %_datadir/applnk/Games/TacticStrategy
%_datadir/applnk/Games/TacticStrategy/.directory
#
%dir %_datadir/applnk/Graphics/
%_datadir/applnk/Graphics/.directory
#
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/.directory
%_datadir/applnk/Internet/*.desktop
#
%dir %_datadir/applnk/Internet/Terminal
%_datadir/applnk/Internet/Terminal/.directory
#
%dir %_datadir/applnk/Multimedia/
%_datadir/applnk/Multimedia/.directory
#
%dir %_datadir/applnk/Office/
%_datadir/applnk/Office/.directory
#
%dir %_datadir/applnk/Settings/
%_datadir/applnk/Settings/.directory
#
#
#
#
#
%dir %_datadir/applnk/Settings/Information/
%_datadir/applnk/Settings/Information/.directory
%_datadir/applnk/Settings/Information/*.desktop
#
%dir %_datadir/applnk/Settings/LookNFeel/
%_datadir/applnk/Settings/LookNFeel/.directory
%_datadir/applnk/Settings/LookNFeel/*.desktop
#
#
%dir %_datadir/applnk/Settings/LookNFeel/Themes/
%_datadir/applnk/Settings/LookNFeel/Themes/*.desktop
#
%dir %_datadir/applnk/Settings/LookNFeel/Windows/
%_datadir/applnk/Settings/LookNFeel/Windows/*.desktop
#
%dir %_datadir/applnk/Settings/Network/
%_datadir/applnk/Settings/Network/.directory
%_datadir/applnk/Settings/Network/*.desktop
#
%dir %_datadir/applnk/Settings/Peripherals/
%_datadir/applnk/Settings/Peripherals/.directory
%_datadir/applnk/Settings/Peripherals/*.desktop
#
#
#
%dir %_datadir/applnk/Settings/Sound/
%_datadir/applnk/Settings/Sound/.directory
%_datadir/applnk/Settings/Sound/*.desktop
#
%dir %_datadir/applnk/Settings/System/
%_datadir/applnk/Settings/System/.directory
%_datadir/applnk/Settings/System/*.desktop
#
%dir %_datadir/applnk/Settings/WebBrowsing/
%_datadir/applnk/Settings/WebBrowsing/*.desktop
#
%dir %_datadir/applnk/System/
%_datadir/applnk/System/.directory
%_datadir/applnk/System/*.desktop
#
#
%dir %_datadir/applnk/System/Terminal/
%_datadir/applnk/System/Terminal/.directory
#
#
%dir %_datadir/applnk/Toys/
%_datadir/applnk/Toys/.directory
%_datadir/applnk/Toys/*.desktop
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/.directory
%_datadir/applnk/Utilities/*.desktop
#
#
#
#
%dir %_datadir/applnk-mdk/
#
%dir %_datadir/applnk-mdk-simplified/

#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/clockapplet/
%dir %_datadir/apps/clockapplet/pics/
%_datadir/apps/clockapplet/pics/*.png
#
#
%dir %_datadir/apps/drkonqi/
%dir %_datadir/apps/drkonqi/debuggers/
%_datadir/apps/drkonqi/debuggers/gdbrc
#
%dir %_datadir/apps/drkonqi/pics/
%_datadir/apps/drkonqi/pics/*.png
#
%dir %_datadir/apps/drkonqi/presets/
%_datadir/apps/drkonqi/presets/developerrc
%_datadir/apps/drkonqi/presets/enduserrc
#
#
#
#
%dir %_datadir/apps/kappfinder/
%dir %_datadir/apps/kappfinder/apps/
#
%dir %_datadir/apps/kappfinder/apps/Development/
%_datadir/apps/kappfinder/apps/Development/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Editors/
%_datadir/apps/kappfinder/apps/Editors/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Games/
%_datadir/apps/kappfinder/apps/Games/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Games/Board/
%_datadir/apps/kappfinder/apps/Games/Board/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Games/Card/
%_datadir/apps/kappfinder/apps/Games/Card/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Games/Emulators/
%_datadir/apps/kappfinder/apps/Games/Emulators/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Games/TacticStrategy/
%_datadir/apps/kappfinder/apps/Games/TacticStrategy/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Graphics/
%_datadir/apps/kappfinder/apps/Graphics/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Internet/
%_datadir/apps/kappfinder/apps/Internet/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Internet/Terminal/
%_datadir/apps/kappfinder/apps/Internet/Terminal/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Multimedia/
%_datadir/apps/kappfinder/apps/Multimedia/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Office/
%_datadir/apps/kappfinder/apps/Office/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/System/
%_datadir/apps/kappfinder/apps/System/*.desktop
#
#
%dir %_datadir/apps/kappfinder/apps/System/Terminal/
%_datadir/apps/kappfinder/apps/System/Terminal/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Toys/
%_datadir/apps/kappfinder/apps/Toys/*.desktop
#
%dir %_datadir/apps/kappfinder/apps/Utilities/
#
%dir %_datadir/apps/kappfinder/apps/Utilities/XUtilities/
%_datadir/apps/kappfinder/apps/Utilities/XUtilities/*.desktop
#
#
#
%dir %_datadir/apps/kate/
%_datadir/apps/kate/*.rc
%_datadir/apps/kate/tips
#
%dir %_datadir/apps/kate/scripts/
%_datadir/apps/kate/scripts/*.desktop
%_datadir/apps/kate/scripts/*.sh
#
%dir %_datadir/apps/kate/icons/
%dir %_datadir/apps/kate/icons/crystalsvg/
%dir %_datadir/apps/kate/icons/crystalsvg/16x16/
%dir %_datadir/apps/kate/icons/crystalsvg/16x16/actions/
%_datadir/apps/kate/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/kate/icons/crystalsvg/22x22/
%dir %_datadir/apps/kate/icons/crystalsvg/22x22/actions/
%_datadir/apps/kate/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/kate/icons/crystalsvg/32x32/
%dir %_datadir/apps/kate/icons/crystalsvg/32x32/actions/
%_datadir/apps/kate/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/kate/icons/locolor/
%dir %_datadir/apps/kate/icons/locolor/16x16/
%dir %_datadir/apps/kate/icons/locolor/16x16/actions/
%_datadir/apps/kate/icons/locolor/16x16/actions/*.png

%dir %_datadir/apps/kate/icons/locolor/22x22/
%dir %_datadir/apps/kate/icons/locolor/22x22/actions/
%_datadir/apps/kate/icons/locolor/22x22/actions/*.png

#
#
#
#
%dir %_datadir/apps/kate/pics/
%_datadir/apps/kate/pics/*.png
#
#
#
#
%dir %_datadir/apps/kbookmark/
%_datadir/apps/kbookmark/*.desktop
#
#
%dir %_datadir/apps/kcmcss/
%_datadir/apps/kcmcss/*.css
#
#
%dir %_datadir/apps/kcminput/
%_datadir/apps/kcminput/*.pcf.gz
#
%dir %_datadir/apps/kcminput/pics/
%_datadir/apps/kcminput/pics/*.png
#
#
%dir %_datadir/apps/kcmkeys/
%_datadir/apps/kcmkeys/*.kksrc
#
#
%dir %_datadir/apps/kcmlocale/
#
%dir %_datadir/apps/kcmlocale/pics/
%_datadir/apps/kcmlocale/pics/*.png
#
#
%dir %_datadir/apps/kcmusb/
%_datadir/apps/kcmusb/*.ids
#
#
%dir %_datadir/apps/kcmfontinst
%_datadir/apps/kcmfontinst/psnames
#
%dir %_datadir/apps/kcmfontinst/pics/
%_datadir/apps/kcmfontinst/pics/*.png
#
%dir %_datadir/apps/kcmfontinst/StarOffice/
%_datadir/apps/kcmfontinst/StarOffice/*.xpp
#
#
%dir %_datadir/apps/kcontrol/
%_datadir/apps/kcontrol/*.rc
#
%dir %_datadir/apps/kcontrol/pics/
%_datadir/apps/kcontrol/pics/*.png
#
#
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/*.upd
%_datadir/apps/kconf_update/*.pl
%_datadir/apps/kconf_update/*.sh
#
%dir %_datadir/apps/kcm_componentchooser/
%_datadir/apps/kcm_componentchooser/*.desktop
#
%dir %_datadir/apps/kdcop/
%_datadir/apps/kdcop/*.rc
#
#
%dir %_datadir/apps/kdeprintfax
%_datadir/apps/kdeprintfax/faxfilters
%_datadir/apps/kdeprintfax/anytops
%_datadir/apps/kdeprintfax/*.rc
#
%dir %_datadir/apps/kdeprintfax/icons/
%dir %_datadir/apps/kdeprintfax/icons/crystalsvg/
%dir %_datadir/apps/kdeprintfax/icons/crystalsvg/16x16/
%dir %_datadir/apps/kdeprintfax/icons/crystalsvg/16x16/actions/
%_datadir/apps/kdeprintfax/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kdeprint_part/
%_datadir/apps/kdeprint_part/*.rc
#
%dir %_datadir/apps/kdeprint/
%dir %_datadir/apps/kdeprint/template/
%_datadir/apps/kdeprint/template/*.png
%_datadir/apps/kdeprint/template/*.css
%_datadir/apps/kdeprint/template/*.template
#
#
%dir %_datadir/apps/kdesktop/
%_datadir/apps/kdesktop/directory.autostart
%_datadir/apps/kdesktop/directory.desktop
%_datadir/apps/kdesktop/directory.templates
%_datadir/apps/kdesktop/directory.trash
#
%dir %_datadir/apps/kdesktop/DesktopLinks/
%_datadir/apps/kdesktop/DesktopLinks/*.desktop
#
%dir %_datadir/apps/kdesktop/patterns/
%_datadir/apps/kdesktop/patterns/*.desktop
%_datadir/apps/kdesktop/patterns/*.jpg
%_datadir/apps/kdesktop/patterns/*.png
#
%dir %_datadir/apps/kdesktop/pics/
%_datadir/apps/kdesktop/pics/*.xbm
%_datadir/apps/kdesktop/pics/*.png
#
%dir %_datadir/apps/kdesktop/programs/
%_datadir/apps/kdesktop/programs/*.desktop
#

%dir %_datadir/apps/kdesktop/Desktop

#
#
%dir %_datadir/apps/kdewizard/
%_datadir/apps/kdewizard/tips
#
%dir %_datadir/apps/kdewizard/pics/
%_datadir/apps/kdewizard/pics/*.png
#
#
%dir %_datadir/apps/kdisplay/
%dir %_datadir/apps/kdisplay/app-defaults/
%_datadir/apps/kdisplay/app-defaults/*.ad
#
%dir %_datadir/apps/kdisplay/color-schemes/
%_datadir/apps/kdisplay/color-schemes/*.kcsrc
#
#
%dir %_datadir/apps/kdm/
%dir %_datadir/apps/kdm/pics/
%_datadir/apps/kdm/pics/*.png
#
%_datadir/apps/kdm/pics/users/
#
#
%dir %_datadir/apps/keditbookmarks/
%_datadir/apps/keditbookmarks/*.rc
#
#
%dir %_datadir/apps/kfindpart/
%dir %_datadir/apps/kfindpart/icons/
%dir %_datadir/apps/kfindpart/icons/locolor/
%dir %_datadir/apps/kfindpart/icons/locolor/22x22/
%dir %_datadir/apps/kfindpart/icons/locolor/22x22/actions/
%_datadir/apps/kfindpart/icons/locolor/22x22/actions/*.png
#
#
%dir %_datadir/apps/khelpcenter/
%_datadir/apps/khelpcenter/*.html.in
%_datadir/apps/khelpcenter/*.rc
%_datadir/apps/khelpcenter/*.xslt
#
#
%dir %_datadir/apps/khelpcenter/plugins/
%_datadir/apps/khelpcenter/plugins/*.desktop

%dir %_datadir/apps/khelpcenter/plugins/Tutorials/
%_datadir/apps/khelpcenter/plugins/Tutorials/.directory
%_datadir/apps/khelpcenter/plugins/Tutorials/*.desktop
#
%dir %_datadir/apps/khelpcenter/plugins/Applications/
%_datadir/apps/khelpcenter/plugins/Applications/.directory

%dir %_datadir/apps/khelpcenter/plugins/Manpages/
%_datadir/apps/khelpcenter/plugins/Manpages/.directory
%_datadir/apps/khelpcenter/plugins/Manpages/*.desktop

#
%dir %_datadir/apps/kicker/
%_datadir/apps/kicker/default-apps
%_datadir/apps/kicker/default-apps-mdk
#
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
%dir %_datadir/apps/kicker/extensions/
%_datadir/apps/kicker/extensions/*.desktop
#
%dir %_datadir/apps/kicker/icons/
%dir %_datadir/apps/kicker/icons/crystalsvg/
%dir %_datadir/apps/kicker/icons/crystalsvg/16x16/
%dir %_datadir/apps/kicker/icons/crystalsvg/16x16/actions/
%_datadir/apps/kicker/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/kicker/icons/locolor/
%dir %_datadir/apps/kicker/icons/locolor/16x16/
%dir %_datadir/apps/kicker/icons/locolor/16x16/actions/
%_datadir/apps/kicker/icons/locolor/16x16/actions/*.png

#
%dir %_datadir/apps/kicker/pics/
%_datadir/apps/kicker/pics/*.png
#
%dir %_datadir/apps/kicker/tiles/
%_datadir/apps/kicker/tiles/*.png
#
%dir %_datadir/apps/kicker/wallpapers/
%_datadir/apps/kicker/wallpapers/*.png
#
%dir %_datadir/apps/kicker/menuext
%_datadir/apps/kicker/menuext/*.desktop
#
%dir %_datadir/apps/kio_finger/
%_datadir/apps/kio_finger/*.css
%_datadir/apps/kio_finger/*.pl
#
#
%dir %_datadir/apps/kio_info/
%_datadir/apps/kio_info/kde-info2html
%_datadir/apps/kio_info/*.conf
#
#
#
#
%dir %_datadir/apps/kjobviewer/
%_datadir/apps/kjobviewer/*.rc
#
#
%dir %_datadir/apps/kmenuedit/
%_datadir/apps/kmenuedit/*.rc
#
#
%dir %_datadir/apps/kmenuedit/icons/
%dir %_datadir/apps/kmenuedit/icons/crystalsvg/
%dir %_datadir/apps/kmenuedit/icons/crystalsvg/22x22/
%dir %_datadir/apps/kmenuedit/icons/crystalsvg/22x22/actions/
%_datadir/apps/kmenuedit/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/kmenuedit/icons/crystalsvg/32x32/
%dir %_datadir/apps/kmenuedit/icons/crystalsvg/32x32/actions/
%_datadir/apps/kmenuedit/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/kmenuedit/icons/locolor/
%dir %_datadir/apps/kmenuedit/icons/locolor/16x16/
%dir %_datadir/apps/kmenuedit/icons/locolor/16x16/actions/
%_datadir/apps/kmenuedit/icons/locolor/16x16/actions/*.png

#
#
%dir %_datadir/apps/konqiconview/
%_datadir/apps/konqiconview/*.rc
#
%dir %_datadir/apps/konqiconview/kpartplugins/
%_datadir/apps/konqiconview/kpartplugins/*.rc
#
#
%dir %_datadir/apps/konqlistview/
%_datadir/apps/konqlistview/*.rc
#
%dir %_datadir/apps/konqlistview/kpartplugins/
%_datadir/apps/konqlistview/kpartplugins/*.rc
#
#
%dir %_datadir/apps/konqsidebartng/
%dir %_datadir/apps/konqsidebartng/add/
%_datadir/apps/konqsidebartng/add/*.desktop
#
%dir %_datadir/apps/konqsidebartng/dirtree/
%_datadir/apps/konqsidebartng/dirtree/*.desktop
#
%dir %_datadir/apps/konqsidebartng/entries/
%_datadir/apps/konqsidebartng/entries/*.desktop
%_datadir/apps/konqsidebartng/entries/.version
#
%dir %_datadir/apps/konqsidebartng/virtual_folders/
%dir %_datadir/apps/konqsidebartng/virtual_folders/remote/
%_datadir/apps/konqsidebartng/virtual_folders/remote/.directory
#
%dir %_datadir/apps/konqsidebartng/virtual_folders/remote/ftp/
%_datadir/apps/konqsidebartng/virtual_folders/remote/ftp/.directory
%_datadir/apps/konqsidebartng/virtual_folders/remote/ftp/*.desktop
#
%dir %_datadir/apps/konqsidebartng/virtual_folders/remote/web/
%_datadir/apps/konqsidebartng/virtual_folders/remote/web/.directory
%_datadir/apps/konqsidebartng/virtual_folders/remote/web/*.desktop
#
%dir %_datadir/apps/konqsidebartng/virtual_folders/services/
%_datadir/apps/konqsidebartng/virtual_folders/services/.directory
%_datadir/apps/konqsidebartng/virtual_folders/services/*.desktop
#
#
%dir %_datadir/apps/konqueror/
%_datadir/apps/konqueror/*.rc
#
%dir %_datadir/apps/konqueror/about/
%_datadir/apps/konqueror/about/*.css
%_datadir/apps/konqueror/about/*.gif
%_datadir/apps/konqueror/about/*.html
%_datadir/apps/konqueror/about/*.png
#
#
%dir %_datadir/apps/konqueror/icons/
%dir %_datadir/apps/konqueror/icons/crystalsvg/
%dir %_datadir/apps/konqueror/icons/crystalsvg/16x16/
%dir %_datadir/apps/konqueror/icons/crystalsvg/16x16/actions/
%_datadir/apps/konqueror/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/konqueror/pics/
%_datadir/apps/konqueror/pics/*.png
#
%dir %_datadir/apps/konqueror/profiles/
%_datadir/apps/konqueror/profiles/filemanagement
%_datadir/apps/konqueror/profiles/filepreview
%_datadir/apps/konqueror/profiles/midnightcommander
%_datadir/apps/konqueror/profiles/webbrowsing
#
%dir %_datadir/apps/konqueror/tiles/
%_datadir/apps/konqueror/tiles/*.png

%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/*.desktop
#
#
%dir %_datadir/apps/konsole/
%_datadir/apps/konsole/*.desktop
%_datadir/apps/konsole/*.KeyTab
%_datadir/apps/konsole/*.Keytab
%_datadir/apps/konsole/*.keytab
%_datadir/apps/konsole/*.Schema
%_datadir/apps/konsole/*.schema
%_datadir/apps/konsole/tips
#
%dir %_datadir/apps/konsole/profiles/
%_datadir/apps/konsole/profiles/*
#
%dir %_datadir/apps/kpersonalizer/
%dir %_datadir/apps/kpersonalizer/pics/
%_datadir/apps/kpersonalizer/pics/*.png
#
#
%dir %_datadir/apps/ksplash/
%dir %_datadir/apps/ksplash/pics/
%_datadir/apps/ksplash/pics/*.png
#
%dir %_datadir/apps/ksplash/pics/locolor/
%_datadir/apps/ksplash/pics/locolor/*.png
#
#
%dir %_datadir/apps/ksysguard/
%_datadir/apps/ksysguard/*rc
%_datadir/apps/ksysguard/*.sgrd
%_datadir/apps/ksysguard/*.xml
#
%dir %_datadir/apps/ksysguard/pics/
%_datadir/apps/ksysguard/pics/*.png
#
#
%dir %_datadir/apps/kthememgr/
%_datadir/apps/kthememgr/*.mappings
#
%dir %_datadir/apps/kthememgr/Themes/
%_datadir/apps/kthememgr/Themes/*.ktheme
%_datadir/apps/kthememgr/Themes/*.themerc
#
#
%dir %_datadir/apps/kwin/
%_datadir/apps/kwin/eventsrc
%_datadir/apps/kwin/*.desktop
%_datadir/apps/kwin/icewm-themes
#
%dir %_datadir/apps/kwin/pics/
%_datadir/apps/kwin/pics/*.png
#
#
%dir %_datadir/apps/kwrite/
%_datadir/apps/kwrite/*.rc
#

#%dir %_datadir/apps/klipper/
#%dir %_datadir/apps/klipper/pics/
#%_datadir/apps/klipper/pics/*.png
#
%dir %_datadir/apps/ksmserver/
%dir %_datadir/apps/ksmserver/pics/
%_datadir/apps/ksmserver/pics/*.png
#
%dir %_datadir/apps/naughtyapplet/
%dir %_datadir/apps/naughtyapplet/pics/
%_datadir/apps/naughtyapplet/pics/*.png
#
# David - 3.0-0.beta1-9mdk - To uncomment when KDE 3 will be installed in /usr
#%dir %_datadir/faces/
#%_datadir/faces/*.png
#%_datadir/faces
#
#
%dir %_datadir/autostart/
%_datadir/autostart/*.desktop
#
#
#
%dir %_datadir/fonts/
%_datadir/fonts/*.pcf.gz
%_datadir/fonts/fonts.dir
#
%dir %_datadir/fonts/override/
%_datadir/fonts/override/fonts.dir
#
#
#
%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/128x128/
%dir %_iconsdir/crystalsvg/128x128/apps/
%_iconsdir/crystalsvg/128x128/apps/*.png

%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png

%dir %_iconsdir/crystalsvg/16x16/apps/gnome/
%_iconsdir/crystalsvg/16x16/apps/gnome/*.png

%dir %_iconsdir/crystalsvg/16x16/apps/mozilla/
%_iconsdir/crystalsvg/16x16/apps/mozilla/*.png



%dir %_iconsdir/crystalsvg/16x16/devices/
%_iconsdir/crystalsvg/16x16/devices/*.png

%dir %_iconsdir/crystalsvg/16x16/filesystems/
%_iconsdir/crystalsvg/16x16/filesystems/*.png

%dir %_iconsdir/crystalsvg/22x22/
%dir %_iconsdir/crystalsvg/22x22/apps/
%_iconsdir/crystalsvg/22x22/apps/*.png

%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png

%dir %_iconsdir/crystalsvg/32x32/apps/gnome/
%_iconsdir/crystalsvg/32x32/apps/gnome/*.png

%dir %_iconsdir/crystalsvg/32x32/apps/mozilla/
%_iconsdir/crystalsvg/32x32/apps/mozilla/*.png


%dir %_iconsdir/crystalsvg/32x32/devices/
%_iconsdir/crystalsvg/32x32/devices/*.png

%dir %_iconsdir/crystalsvg/32x32/filesystems/
%_iconsdir/crystalsvg/32x32/filesystems/*.png

%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png

%dir %_iconsdir/crystalsvg/48x48/apps/gnome/
%_iconsdir/crystalsvg/48x48/apps/gnome/*.png

%dir %_iconsdir/crystalsvg/48x48/apps/mozilla/
%_iconsdir/crystalsvg/48x48/apps/mozilla/*.png


%dir %_iconsdir/crystalsvg/64x64/
%dir %_iconsdir/crystalsvg/64x64/apps/
%_iconsdir/crystalsvg/64x64/apps/*.png

%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png

%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png






#
%dir %_datadir/icons/favicons
%_datadir/icons/favicons/*.png
#
#
%dir %_datadir/locale/
%dir %_datadir/locale/en_US/
%_datadir/locale/en_US/*.desktop
#
#
%dir %_datadir/locale/l10n/
%_datadir/locale/l10n/*.desktop
#
%dir %_datadir/locale/l10n/C/
%_datadir/locale/l10n/C/*.desktop
%_datadir/locale/l10n/C/*.png
#
%dir %_datadir/locale/l10n/ag/
%_datadir/locale/l10n/ag/*.desktop
%_datadir/locale/l10n/ag/*.png
#
%dir %_datadir/locale/l10n/ar/
%_datadir/locale/l10n/ar/*.desktop
%_datadir/locale/l10n/ar/*.png
#
%dir %_datadir/locale/l10n/at/
%_datadir/locale/l10n/at/*.desktop
%_datadir/locale/l10n/at/*.png
#
%dir %_datadir/locale/l10n/au/
%_datadir/locale/l10n/au/*.desktop
%_datadir/locale/l10n/au/*.png
#
%dir %_datadir/locale/l10n/az/
%_datadir/locale/l10n/az/*.desktop
%_datadir/locale/l10n/az/*.png
#
%dir %_datadir/locale/l10n/ba/
%_datadir/locale/l10n/ba/*.desktop
%_datadir/locale/l10n/ba/*.png
#
%dir %_datadir/locale/l10n/bb/
%_datadir/locale/l10n/bb/*.desktop
%_datadir/locale/l10n/bb/*.png
#
%dir %_datadir/locale/l10n/be/
%_datadir/locale/l10n/be/*.desktop
%_datadir/locale/l10n/be/*.png
#
%dir %_datadir/locale/l10n/bd/
%_datadir/locale/l10n/bd/*.desktop
%_datadir/locale/l10n/bd/*.png
#
%dir %_datadir/locale/l10n/bg/
%_datadir/locale/l10n/bg/*.desktop
%_datadir/locale/l10n/bg/*.png
#
%dir %_datadir/locale/l10n/bo/
%_datadir/locale/l10n/bo/*.desktop
%_datadir/locale/l10n/bo/*.png
#
%dir %_datadir/locale/l10n/br/
%_datadir/locale/l10n/br/*.desktop
%_datadir/locale/l10n/br/*.png
#
%dir %_datadir/locale/l10n/gh/
%_datadir/locale/l10n/gh/*.desktop
%_datadir/locale/l10n/gh/*.png

#
%dir %_datadir/locale/l10n/by/
%_datadir/locale/l10n/by/*.desktop
%_datadir/locale/l10n/by/*.png
#
%dir %_datadir/locale/l10n/ca/
%_datadir/locale/l10n/ca/*.desktop
%_datadir/locale/l10n/ca/*.png
#
%dir %_datadir/locale/l10n/ch/
%_datadir/locale/l10n/ch/*.desktop
%_datadir/locale/l10n/ch/*.png
#
%dir %_datadir/locale/l10n/cl/
%_datadir/locale/l10n/cl/*.desktop
%_datadir/locale/l10n/cl/*.png
#
%dir %_datadir/locale/l10n/cn/
%_datadir/locale/l10n/cn/*.desktop
%_datadir/locale/l10n/cn/*.png
#
%dir %_datadir/locale/l10n/co/
%_datadir/locale/l10n/co/*.desktop
%_datadir/locale/l10n/co/*.png
#
%dir %_datadir/locale/l10n/cz/
%_datadir/locale/l10n/cz/*.desktop
%_datadir/locale/l10n/cz/*.png
#
%dir %_datadir/locale/l10n/de/
%_datadir/locale/l10n/de/*.desktop
%_datadir/locale/l10n/de/*.png
#
%dir %_datadir/locale/l10n/dk/
%_datadir/locale/l10n/dk/*.desktop
%_datadir/locale/l10n/dk/*.png
#
%dir %_datadir/locale/l10n/do/
%_datadir/locale/l10n/do/*.desktop
%_datadir/locale/l10n/do/*.png
#
%dir %_datadir/locale/l10n/ec/
%_datadir/locale/l10n/ec/*.desktop
%_datadir/locale/l10n/ec/*.png
#
%dir %_datadir/locale/l10n/ee/
%_datadir/locale/l10n/ee/*.desktop
%_datadir/locale/l10n/ee/*.png
#
%dir %_datadir/locale/l10n/eg/
%_datadir/locale/l10n/eg/*.desktop
%_datadir/locale/l10n/eg/*.png
#
%dir %_datadir/locale/l10n/es/
%_datadir/locale/l10n/es/*.desktop
%_datadir/locale/l10n/es/*.png
#
%dir %_datadir/locale/l10n/fi/
%_datadir/locale/l10n/fi/*.desktop
%_datadir/locale/l10n/fi/*.png
#
%dir %_datadir/locale/l10n/fr/
%_datadir/locale/l10n/fr/*.desktop
%_datadir/locale/l10n/fr/*.png
#
%dir %_datadir/locale/l10n/gb/
%_datadir/locale/l10n/gb/*.desktop
%_datadir/locale/l10n/gb/*.png
#
%dir %_datadir/locale/l10n/gd/
%_datadir/locale/l10n/gd/*.desktop
%_datadir/locale/l10n/gd/*.png
#
%dir %_datadir/locale/l10n/gr/
%_datadir/locale/l10n/gr/*.desktop
%_datadir/locale/l10n/gr/*.png
#
%dir %_datadir/locale/l10n/gt/
%_datadir/locale/l10n/gt/*.desktop
%_datadir/locale/l10n/gt/*.png
#
%dir %_datadir/locale/l10n/hn/
%_datadir/locale/l10n/hn/*.desktop
%_datadir/locale/l10n/hn/*.png
#
%dir %_datadir/locale/l10n/hr/
%_datadir/locale/l10n/hr/*.desktop
%_datadir/locale/l10n/hr/*.png
#
%dir %_datadir/locale/l10n/hu/
%_datadir/locale/l10n/hu/*.desktop
%_datadir/locale/l10n/hu/*.png
#
%dir %_datadir/locale/l10n/id/
%_datadir/locale/l10n/id/*.desktop
%_datadir/locale/l10n/id/*.png
#
%dir %_datadir/locale/l10n/ie/
%_datadir/locale/l10n/ie/*.desktop
%_datadir/locale/l10n/ie/*.png
#
%dir %_datadir/locale/l10n/il/
%_datadir/locale/l10n/il/*.desktop
%_datadir/locale/l10n/il/*.png
#
%dir %_datadir/locale/l10n/in/
%_datadir/locale/l10n/in/*.desktop
%_datadir/locale/l10n/in/*.png
#
%dir %_datadir/locale/l10n/iq/
%_datadir/locale/l10n/iq/*.desktop
%_datadir/locale/l10n/iq/*.png
#
%dir %_datadir/locale/l10n/is/
%_datadir/locale/l10n/is/*.desktop
%_datadir/locale/l10n/is/*.png
#
%dir %_datadir/locale/l10n/it/
%_datadir/locale/l10n/it/*.desktop
%_datadir/locale/l10n/it/*.png
#
%dir %_datadir/locale/l10n/jm/
%_datadir/locale/l10n/jm/*.desktop
%_datadir/locale/l10n/jm/*.png
#
%dir %_datadir/locale/l10n/jo/
%_datadir/locale/l10n/jo/*.desktop
%_datadir/locale/l10n/jo/*.png
#
%dir %_datadir/locale/l10n/jp/
%_datadir/locale/l10n/jp/*.desktop
%_datadir/locale/l10n/jp/*.png
#
%dir %_datadir/locale/l10n/kn/
%_datadir/locale/l10n/kn/*.desktop
%_datadir/locale/l10n/kn/*.png
#
%dir %_datadir/locale/l10n/kp/
%_datadir/locale/l10n/kp/*.desktop
%_datadir/locale/l10n/kp/*.png
#
%dir %_datadir/locale/l10n/kr/
%_datadir/locale/l10n/kr/*.desktop
%_datadir/locale/l10n/kr/*.png
#
%dir %_datadir/locale/l10n/lc/
%_datadir/locale/l10n/lc/*.desktop
%_datadir/locale/l10n/lc/*.png
#
%dir %_datadir/locale/l10n/lt/
%_datadir/locale/l10n/lt/*.desktop
%_datadir/locale/l10n/lt/*.png
#
%dir %_datadir/locale/l10n/lu/
%_datadir/locale/l10n/lu/*.desktop
%_datadir/locale/l10n/lu/*.png
#
%dir %_datadir/locale/l10n/lv/
%_datadir/locale/l10n/lv/*.desktop
%_datadir/locale/l10n/lv/*.png
#
%dir %_datadir/locale/l10n/mk/
%_datadir/locale/l10n/mk/*.desktop
%_datadir/locale/l10n/mk/*.png
#
%dir %_datadir/locale/l10n/mt/
%_datadir/locale/l10n/mt/*.desktop
%_datadir/locale/l10n/mt/*.png
#
%dir %_datadir/locale/l10n/mx/
%_datadir/locale/l10n/mx/*.desktop
%_datadir/locale/l10n/mx/*.png
#
%dir %_datadir/locale/l10n/nl/
%_datadir/locale/l10n/nl/*.desktop
%_datadir/locale/l10n/nl/*.png
#
%dir %_datadir/locale/l10n/no/
%_datadir/locale/l10n/no/*.desktop
%_datadir/locale/l10n/no/*.png
#
%dir %_datadir/locale/l10n/nz/
%_datadir/locale/l10n/nz/*.desktop
%_datadir/locale/l10n/nz/*.png
#
%dir %_datadir/locale/l10n/pa/
%_datadir/locale/l10n/pa/*.desktop
%_datadir/locale/l10n/pa/*.png
#
%dir %_datadir/locale/l10n/pe/
%_datadir/locale/l10n/pe/*.desktop
%_datadir/locale/l10n/pe/*.png
#
%dir %_datadir/locale/l10n/pl/
%_datadir/locale/l10n/pl/*.desktop
%_datadir/locale/l10n/pl/*.png
#
%dir %_datadir/locale/l10n/pt/
%_datadir/locale/l10n/pt/*.desktop
%_datadir/locale/l10n/pt/*.png
#
%dir %_datadir/locale/l10n/py/
%_datadir/locale/l10n/py/*.desktop
%_datadir/locale/l10n/py/*.png
#
%dir %_datadir/locale/l10n/ro/
%_datadir/locale/l10n/ro/*.desktop
%_datadir/locale/l10n/ro/*.png
#
%dir %_datadir/locale/l10n/ru/
%_datadir/locale/l10n/ru/*.desktop
%_datadir/locale/l10n/ru/*.png
#
%dir %_datadir/locale/l10n/sd/
%_datadir/locale/l10n/sd/*.desktop
%_datadir/locale/l10n/sd/*.png
#
%dir %_datadir/locale/l10n/se/
%_datadir/locale/l10n/se/*.desktop
%_datadir/locale/l10n/se/*.png
#
%dir %_datadir/locale/l10n/si/
%_datadir/locale/l10n/si/*.desktop
%_datadir/locale/l10n/si/*.png
#
%dir %_datadir/locale/l10n/sk/
%_datadir/locale/l10n/sk/*.desktop
%_datadir/locale/l10n/sk/*.png
#
%dir %_datadir/locale/l10n/sr/
%_datadir/locale/l10n/sr/*.desktop
%_datadir/locale/l10n/sr/*.png
#
%dir %_datadir/locale/l10n/sv/
%_datadir/locale/l10n/sv/*.desktop
%_datadir/locale/l10n/sv/*.png
#
%dir %_datadir/locale/l10n/th/
%_datadir/locale/l10n/th/*.desktop
%_datadir/locale/l10n/th/*.png
#
%dir %_datadir/locale/l10n/tr/
%_datadir/locale/l10n/tr/*.desktop
%_datadir/locale/l10n/tr/*.png
#
%dir %_datadir/locale/l10n/tt/
%_datadir/locale/l10n/tt/*.desktop
%_datadir/locale/l10n/tt/*.png
#
%dir %_datadir/locale/l10n/tw/
%_datadir/locale/l10n/tw/*.desktop
%_datadir/locale/l10n/tw/*.png
#
%dir %_datadir/locale/l10n/ua/
%_datadir/locale/l10n/ua/*.desktop
%_datadir/locale/l10n/ua/*.png
#
%dir %_datadir/locale/l10n/us/
%_datadir/locale/l10n/us/*.desktop
%_datadir/locale/l10n/us/*.png
#
%dir %_datadir/locale/l10n/uy/
%_datadir/locale/l10n/uy/*.desktop
%_datadir/locale/l10n/uy/*.png
#
%dir %_datadir/locale/l10n/vc/
%_datadir/locale/l10n/vc/*.desktop
%_datadir/locale/l10n/vc/*.png
#
%dir %_datadir/locale/l10n/ve/
%_datadir/locale/l10n/ve/*.desktop
%_datadir/locale/l10n/ve/*.png
#
%dir %_datadir/locale/l10n/vn/
%_datadir/locale/l10n/vn/*.desktop
%_datadir/locale/l10n/vn/*.png
#
%dir %_datadir/locale/l10n/za/
%_datadir/locale/l10n/za/*.desktop
%_datadir/locale/l10n/za/*.png
#
#

%dir %_datadir/locale/l10n/ae/
%_datadir/locale/l10n/ae/*.desktop
%_datadir/locale/l10n/ae/*.png

%dir %_datadir/locale/l10n/bh/
%_datadir/locale/l10n/bh/*.desktop
%_datadir/locale/l10n/bh/*.png

%dir %_datadir/locale/l10n/dj/
%_datadir/locale/l10n/dj/*.desktop
%_datadir/locale/l10n/dj/*.png

%dir %_datadir/locale/l10n/dz/
%_datadir/locale/l10n/dz/*.desktop
%_datadir/locale/l10n/dz/*.png

%dir %_datadir/locale/l10n/lb/
%_datadir/locale/l10n/lb/*.desktop
%_datadir/locale/l10n/lb/*.png

%dir %_datadir/locale/l10n/ly/
%_datadir/locale/l10n/ly/*.desktop
%_datadir/locale/l10n/ly/*.png

%dir %_datadir/locale/l10n/om/
%_datadir/locale/l10n/om/*.desktop
%_datadir/locale/l10n/om/*.png

%dir %_datadir/locale/l10n/ps/
%_datadir/locale/l10n/ps/*.desktop
%_datadir/locale/l10n/ps/*.png

%dir %_datadir/locale/l10n/qa/
%_datadir/locale/l10n/qa/*.desktop
%_datadir/locale/l10n/qa/*.png

%dir %_datadir/locale/l10n/sa/
%_datadir/locale/l10n/sa/*.desktop
%_datadir/locale/l10n/sa/*.png

%dir %_datadir/locale/l10n/sy/
%_datadir/locale/l10n/sy/*.desktop
%_datadir/locale/l10n/sy/*.png

%dir %_datadir/locale/l10n/ye/
%_datadir/locale/l10n/ye/*.desktop
%_datadir/locale/l10n/ye/*.png

%dir %_datadir/locale/l10n/cr/
%_datadir/locale/l10n/cr/*.desktop
%_datadir/locale/l10n/cr/*.png

%dir %_datadir/locale/l10n/cu/
%_datadir/locale/l10n/cu/*.desktop
%_datadir/locale/l10n/cu/*.png

%dir %_datadir/locale/l10n/ir/
%_datadir/locale/l10n/ir/*.desktop
%_datadir/locale/l10n/ir/*.png

%dir %_datadir/locale/l10n/kw/
%_datadir/locale/l10n/kw/*.desktop
%_datadir/locale/l10n/kw/*.png

%dir %_datadir/locale/l10n/ma/
%_datadir/locale/l10n/ma/*.desktop
%_datadir/locale/l10n/ma/*.png

%dir %_datadir/locale/l10n/ni/
%_datadir/locale/l10n/ni/*.desktop
%_datadir/locale/l10n/ni/*.png

%dir %_datadir/locale/l10n/so/
%_datadir/locale/l10n/so/*.desktop
%_datadir/locale/l10n/so/*.png

%dir %_datadir/locale/l10n/tn/
%_datadir/locale/l10n/tn/*.desktop
%_datadir/locale/l10n/tn/*.png



#
%dir %_datadir/mdk/
%dir %_datadir/mdk/kde
%_datadir/mdk/kde/*desktop
%_datadir/mdk/kde/*.xml
%_datadir/mdk/kde/*.directory
#
#

%dir %_datadir/mdk/kde/root-interface/
%_datadir/mdk/kde/root-interface/*

#
#
#
%dir %_menudir/
%_menudir/*

%dir %_menudir/simplified/
%_menudir/simplified/*
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
%dir %_datadir/mimelnk/kdedevice/
%_datadir/mimelnk/kdedevice/*.desktop
#
%dir %_datadir/mimelnk/print/
%_datadir/mimelnk/print/*.desktop
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop
%_datadir/services/*.protocol
#
%dir %_datadir/services/kded/
%_datadir/services/kded/*.desktop
#
%dir %_datadir/services/searchproviders/
%_datadir/services/searchproviders/*.desktop
#
%dir %_datadir/services/useragentstrings/
%_datadir/services/useragentstrings/*.desktop
#
#
#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop
#
#
#
%dir %_datadir/sounds/
%_datadir/sounds/*.wav
#
#
#
%dir %_datadir/templates/
%_datadir/templates/*.desktop
#
#
%dir %_datadir/templates/.source/
%_datadir/templates/.source/*.desktop
%_datadir/templates/.source/*.html
%_datadir/templates/.source/*.txt
#
%dir %_datadir/templates/.source/emptydir/
#
#
#
%dir %_datadir/wallpapers/
%_datadir/wallpapers/*.jpg
%_datadir/wallpapers/*.png



%files devel
%defattr(-,root,root)
%_includedir/*.h
#
%dir %_includedir/kwin/
%_includedir/kwin/*.h
#
%dir %_includedir/kate
%_includedir/kate/*.h

%dir %_includedir/ksgrd
%_includedir/ksgrd/*.h

%files nsplugins
%defattr(-,root,root)
%_bindir/nspluginscan
%_bindir/nspluginviewer
#
#
#
%_libdir/libnsplugin.la
#
#
%_libdir/libnsplugin.so*
#
#
#
%dir %_datadir/applnk/Settings/WebBrowsing/
%_datadir/applnk/Settings/WebBrowsing/nsplugin.desktop
#
#
#
#%_menudir/kdebase3-nsplugin


%files kdm
%defattr(-,root,root)
%_bindir/kdm
%_bindir/kdm_config
%_bindir/kdm_greet
%_bindir/chooser
%_bindir/krootimage


%changelog
* Thu Mar 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-83mdk
- Fix patch606
- Fix patch610 : fix supermount

* Wed Mar 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-82mdk
- Add patch603 : fix two konqueror crashs
- Add patch604 : fix miniclip + terminal
- Add patch606 : fix supermount + user argument
- Add patch607 : fix konqueror start kdeinit
- Fix kdmrc : fix AA font
- Add patch608: fix kwin #55797

* Tue Mar 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-81mdk
- Add patch598 : fix kicker + menu simplified
- Add patch599 : fix kicker + launch menudrake + menu simplified
- Fix menu method to support simplified menu ( fix from Fred Crozat )
- Add patch600 : fix default kwin decoration
- Add patch601 : fix panel + menu simplified

* Tue Mar 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-80mdk
- Add patch597 : fix kdesktop -> miniclip : "no NEW terminal apps possible "

* Mon Mar 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-79mdk
- Add patch596 :fix kwin crash #55510

* Mon Mar 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-78mdk
- Add patch594 : fix from kde3.1
=> fix kioslave/stmp "reinitialise the TLS setting to be safe."
=> fix kdesktop : fix kwin on all desktop
=> fix scan nsplugins bug #52290
=> fix crash in kappfinder
=> fix default galaxy color ( text selected )

* Sun Mar 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-77mdk
- Add patch593 : fix interraction between kdesktop kpager.

* Sat Mar 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-76mdk
- Add patch591-592: fix from kde3.1-branch
"Changed decimal separator" 
"Be careful to strip the old setting, just in case."
"Fix icons preview" 

* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-75mdk
- Add patch582-583-584-585: fix from kde3.1-branch
Fix kate : "52928"
Fix icon text spacing
Fix icon preview :"No-one fixed sound previews, so now they are disabled by default.  I have
debated removing them entirely until they're fixed, given the endless stream
of bug reports (see for instance #47373 and #44354), but I think this is
reasonable for now since they do require interaction to enable them (unlike
video previews, which just effectively destroyed some systems upon opening
the directory)."
- Add patch587 : apply galaxy gtk galaxy theme 
- Add patch588 : fix kdeprintfax "Backport: Includes from AB entries that do not have a defined formatted name (#55587)"
- Add konquerorrc config
- Add patch589: fix "PRIVACY: don't load external references" in thumbnail/html
- Add patch590: add aspell as default


* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-74mdk
- Add patch571: fix display device on desktop
- Add patch573->576 : fix from kde 3.1 branch
fix konsole "KIOSK: Make it possible to disable the submenus under Settings"
fix a lot of bug in nsplugins backport from head
fix kioslave/fish " Don't crash when user cancels authentication
- Be silent when the application closes us down.
- Don't try to connect when no host is specified."
Fix kate :"Backport fix for crash bug 54120"
Fix kwin : "Backport #55510"
Fix ksysguard :"backport of bugfix #52189"
Fix kcontrol->cookies :"Don't crash when management module is disabled. (BR 55584)"
- Add patch578: fix default mount point on desktop
- Add patch579: fix default mount point
- Fix konqueror menu entry : fix to work on Gnome

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-73mdk
- Fix System in "Open with..."
- Update bookmarks
- Update Mandrake star (for bookmarks)


* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-72mdk
- Add patch566: "ZoomButton::drawButtonLabel was supposed be called from PanelButtonBase::drawButton instead of PanelButtonBase::drawButtonLabel, but has different amount of argument and not declared virtual."
- Add patch567: Fix search mozilla plugins in good directory, patch necessary because mozilla changes all the time it's directory, a day it will use /usr/lib/mozilla, perhaps ...
- Add patch568: fix kcontrol->nsplugins : fix error when we try to open file which doesn't exist
- Add patch569: fix kfind display result "backport of real fix for Bug 46320: HTML output is wrong for filenames with spaces, prettyURL() is removed from the patch now"
- Add patch570: fix kcmshell->nsplugins search plugins path
- Fix install directory

* Tue Mar 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-71mdk
- Add patch563: fix miniclip double call to accept
- Add patch564: fix kicker->konsole "Fixed Bug 55304: Bookmarks behave differenty when invoked from 'terminal sessions' kicker menu"
- Add patch565: "Fixed Bug 48083: Empty taskbar sometimes shows container scroll buttons"

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-70mdk
- Update code ( backport fix for kwin, ksysguard)

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-69mdk
- Update code 

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-68mdk
- Update code

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-66mdk
- Fix icon spell check in konqueror

* Fri Feb 28 2003 David BAUDENS <baudens@mandrakesoft.com> 3.1-65mdk
- Add mandrakegalaxy icon on desktop

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-64mdk
- Update code 

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-63mdk
- Fix default mdk colors

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-62mdk
- Fix kmenuedit menu entry

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-61mdk
- Update bookmarks

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-60mdk
- Add patch561: fix konsole default value

* Thu Feb 27 2003 David BAUDENS <baudens@mandrakesoft.com> 3.1-59mdk
- Fix khtml*.desktop

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-58mdk
- Add patch560: Fix launch kwin when a people remove galaxy plugins
load default kde2 plugins

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-57mdk
- Update code 

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-56mdk
- Update code
- Reactivate patch134

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-55mdk
- Update code 
- Fix kfileshare

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-54mdk
- Fix menu entry

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-53mdk
- Fix patch559: use default aa

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-52mdk
- Patch559: fix default font value

* Sun Feb 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-51mdk
- Update code 
- Patch558 : Load galaxy kwin theme by default

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-50mdk
- Update code

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-49mdk
- Allow Kcontrol to be displayed by default

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-48mdk
- Add patch 558: fix kjobviewer when there is any printer by default

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-47mdk
- Fix menu entry

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-46mdk
- Fix kcontrol->kdm mdk default value
- Fix kcontrol->background default mdk value
- Fix kicker->clock default value

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-45mdk
- Fix some icons in Kcontrol

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-44mdk
- Fix galaxy color scheme galaxy->Galaxy

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-43mdk
- Add patch554: fix bug found by Nicolas Chipaux, sort list in kcontrol->kdm

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-42mdk
- Remove service menu

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-41mdk
- Update code ( fix kmenuedit, kcontrol) 

* Wed Feb 19 2003 David BAUDENS <baudens@mandrakesoft.com> 3.1-40mdk
- Clean desktop

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-39mdk
- Fix kdm/mdkkdm reboot

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-38mdk
- Update code 

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-37mdk
- Add patch553 : fix kdesktop : launch application by menu name

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-36mdk
- Update code ( fix kcmshell->konsole )
- Fix kdmrc : use colorscheme = galaxy

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-35mdk
- Add patch552 : add mdk translation ( for mdk patch )

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-34mdk
- Fix printmgr menu entry

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-33mdk
- Fix kdeglobals : use Galaxy widget style

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-32mdk
- Add source5000 : default mdk color scheme
- Add patch551: load default scheme colors.
- Fix kdmrc : use galaxy
- Add Requires on galaxy-kde

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-31mdk
- Fix kcontrol menu entry (bug found by David Baudens)
- Update code ( fix kdesktop, konsole etc...)
 
* Fri Feb 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-30mdk
- Update code ( fix kwin )

* Thu Feb 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-29mdk
- Update code ( fix style->web bug )

* Wed Feb 12 2003 David BAUDENS <baudens@mandrakesoft.com> 3.1-28mdk
- Fix some menu entries

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-27mdk
- Update code fix kdm

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-26mdk
- Fix home icon

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-25mdk
- Update code from kde_3_1_branch ( fix kwin, kcontrol bugs)

* Mon Feb 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-24mdk
- Requires mdk-menu-messages ( String use by kdebase )

* Mon Feb 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-23mdk
- Update code

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-22mdk
- Add patch553 : patch from kde_3_1_branch ( fix konqueror dnd )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-21mdk
- Add patch552 : fix kcontrol->icon ( fix bug found by David Baudens, rebuild menu when we change icon them)

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-20mdk
- Add patch551 : add patch from kde_3_1_branch ( fix klipper, add dcop call etc...)

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-19mdk
- Add patch550 : add "change spell check config" in konqueror (now khtml allows to spell check in textarea)

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-18mdk
- Fix update add virtual package

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-17mdk
- Rebuild against new kdelibs ( I hate BIC )

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-16mdk
- Add patch549 : fix kcontrol->kdm default kdm position
- Reactivate patch508

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-15mdk
- Fix kdmrc: default reboot programm == rebootin
- Fix patch547 : halt command == /sbin/poweroff
- Add patch548 : fix kdm display user in listview, don't display name\nusername when name == username => display just name

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-14mdk
- Fix kdm : use rebootin (patch546)
- Fix kcontrol->kdm : use rebootin ( patch547)

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-13mdk
- Remove conflict

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-12mdk
- fix conflict

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-11mdk
- Split kdm

* Sun Feb 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Fix other bug in konqueror

* Sat Feb 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Rebuild against kdelibs

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update patch800-801 fix new kdm

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Apply patch800-801-802-803 just for mdk9.1
- Fix patch 803
- Add patch546 : fix default kdm position

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Add patch800-801-802 new mdk-kdm

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code from CVS ( fix mem leak/kdesktop fix)

* Wed Jan 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Fix konqueror.desktop

* Wed Jan 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Remove buildconflict kdebase kdebase3

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Fix patch53 : load default kdm session

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Sat Jan 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.25mdk
- Add patch546 : fix konsole bookmark menu (remove separator when there is not a bookmarks item)

* Fri Jan 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.24mdk
- Fix

* Fri Jan 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.23mdk
- Add patch545 : fix display kicker size

* Thu Jan 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.22mdk
- Add patch544 : fix kdesktop krun history

* Thu Jan 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.21mdk
- Add patch543 : fix kcontrol->font create good xft file

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.20mdk
- Export DESKTOP="kde"

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.19mdk
- Remove debug

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.18mdk
- Fix auto start ktips. Don't autostart it.
- Fix requires

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.17mdk
- Fix kdm : use AA

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.16mdk
- Add patch542 : Fix konqueror update action

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.15mdk
- Add patch541 : fix reload all tab

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.14mdk
- Add patch540 : fix enable disable ok button in konqhtml

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.13mdk
- Fix patch539

* Wed Jan 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.12mdk
- Add patch539 : Add new konq tab feature : "Reload all tab" "Reload Tab"

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.11mdk
- Add patch538 : don't start ktip at first login

* Mon Jan 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.10mdk
- Add patch536/patch537 : add dcop interface for khelcenter

* Mon Jan 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.9mdk
- Add patch535 : fix kcontrol -> kxkb reset value

* Fri Jan 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.8mdk
- Patch534 : Fix kcontrol->kdm => emit changed(true) when we enable/disable background

* Fri Jan 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.7mdk
- Fix kdmrc

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.6mdk
- Fix kcmcgi menu entry ( don't display it under gnome)

* Wed Jan 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- Add patch533 : hide regexp editor checkbox in kfind when regexp editor is not installed ( this editor is in kdeutils)

* Wed Jan 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Add kcmcgi menu entry
- Add patch532 : fix enable/disable button in kcontrol->cgi

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Add patch530 : fix kate grep dialogbox
- Add patch531 : fix kcontrol info font

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- fix patch20

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.14mdk
- Rebuild against new glibc

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.13mdk
- Add patch529 : Fix kcontrol -> background remove multi wallpaper

* Thu Dec 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.12mdk
- Add patch528 : fix load theme in theme manager

* Thu Dec 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.11mdk
- Add patch527 : fix update action when we close all tab

* Thu Dec 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.10mdk
- Add patch525 : Fix konqueror with multi url
- Add patch526 : fix konqueror crash

* Wed Dec 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.9mdk
- Add patch523-524 fix "open new page after current page"

* Wed Dec 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.8mdk
- Add patch521-522 add new feature : open new page after current page

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.7mdk
- Fix patch520

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.6mdk
- Add patch520 : move/change tab order in konqueror ( SHIFT+left/right and CTRL+SHIFT+left/right)

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.5mdk
- Fix menu entry 

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.4mdk
- Add patch518/patch519 : fix kcontrol->kdm (call "config changed" when we change hidden users config)


* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch517 : fix kioslave -> info

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix patch75 : startkde + ppc + don't lauch kpersonalizer

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5
- Add patch516 : disable amor when we launch screensaver
- Fix patch14 : startkde

* Mon Nov 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.12mdk
- Add missing menu entry

* Mon Nov 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.11mdk
- Fix patch515: patch from Thierry Vignaud <tvignaud@mandrakesoft.com>

* Mon Nov 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.10mdk
- Add patch515 : Fix info:/ in konqueror patch from Thierry Vignaud <tvignaud@mandrakesoft.com>  thanks.

* Wed Nov 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.9mdk
- Fix requires
- Fix build requires

* Tue Nov 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.8mdk
- Rebuild

* Mon Nov 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.7mdk
- Add patch514 : fix konqueror tab default shortcut

* Fri Nov 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.6mdk
- Add patch513 : fix default kicker size

* Fri Nov 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.5mdk
- Fix patch74 : reactivate desktop-link in startkde
- Add patch511 : fix screenlock dialogbox
- Regenerate patch507
- Regenerate patch60
- Fix patch505
- Add patch512 : fix crash in kcontrol->kdm

* Thu Nov 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.4mdk
- Add patch510 : fix kcontrol->crypto ssl default path

* Thu Nov 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.3mdk
- Fix patch2 : fix global position of information for kinfocenter

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Fix kinfocenter

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Mon Nov 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.6mdk
- Add patch509 : fix paste locale url in konsole

* Sat Nov 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.5mdk
- Add patch508 : CTRL+W works in konqueror url as in bash, make Gwenole Happy

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.4mdk
- Rebuild with fontconfig

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.3mdk
- Readd patch126 - 133

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>
- Fix doc

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2
- Add patch507 : fix up button

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Fix conflict with kdelibs

* Wed Oct 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Sat Oct 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.17mdk
- Move service menu to tar/unzip package

* Wed Oct 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.16mdk
- Fix patch506

* Tue Oct 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.15mdk
- Add patch505-patch506 activate lock screen saver when we go to corner

* Mon Oct 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.14mdk
- Fix spec file

* Fri Oct 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.13mdk
- Add patch503 : fix kcmkxkb default value
- Add requires on htdig (for khelpcenter)

* Thu Oct 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.12mdk
- Add patch502 : fix konqueror "send file" + directory => zip this directory

* Thu Oct 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.11mdk
- Add patch501 : fix konsole dnd => use "cp -ri" and "cp -i" otherwise
dnd directory failed

* Wed Oct 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.10mdk
- Fix menu entry

* Wed Oct 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.9mdk
- Add Source4000->4005 => konqueror servicemenu entry

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.8mdk
- Add patch500 : move konqueror up button to left.

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.7mdk
- Obsolete kio_fish

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.6mdk
- Reactivate patch144 - 152 -184-190-192
- Remove patch153->165 180->183

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.5mdk
- Fix menu entry

* Sat Oct 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.4mdk
- Reactivate patch 1-2-20-23-40-41-60-120-123-126
- Add missing files

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Reactivate a lot of patch

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Fri Oct 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Wed Sep 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-68mdk
- Fix crash in minipager applet when we change name
- Fix Trash position on desktop

* Thu Sep 12 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-67mdk
- kicker: replace KDE's documentation by Mandrake's documentation
- Fix detection of removable device for kdeeject (dedicaced to our dear CTO)

* Thu Sep 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-66mdk
- Fix kadressbook crash when we import list

* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-65mdk
- Add patch196 : Patch from David Faure fix kdesktop icon position when
we change font size.

* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-64mdk
- Fix startkde : remove change cursor and background color

* Mon Sep 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-63mdk
- Move mount points in Removable media directory

* Mon Sep 09 2002 Laurent Montel <lmontel@mandrakesoft.com> 3.0.3-62mdk
- Add patch195 : fix konsole -> font -> linux.
- Fix share icons

* Fri Sep 06 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-61mdk
- Add patch 194 : remove konsole unused signal

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-60mdk
- Fix kdmrc

* Fri Sep 06 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-59mdk
- Add MandrakeClub icon on desktop

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-58mdk
- Add patch193 : fix klipperrc (fix new netscape/mozilla WM_CLASS strings )

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-57mdk
- Add patch192 : fix kfind focus

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-56mdk
- Add patch191 : fix kcm->java default value

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-56mdk
- Add source3000->3003 mdk trash

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-55mdk
- Add source154 : background image root interface
- Add patch190 : fix kcm->mouse default value

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-54mdk
- Patch189 : Fix kcm locale mem leak

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-53mdk
- Fix "up" crash in konqueror

* Tue Sep 03 2002 David Baudens <baudens@mandrakesoft.com> 3.0.3-52mdk
- Update bookmarks

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-51mdk
- Update mdk share icons

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-50mdk
- Patch 187 : Fix kdm reboot options

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-49mdk
- Fix kdmrc

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-48mdk
- Fix source110 : add MCC in kicker

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-47mdk
- Add patch186 : fix kcm->mouse default value

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-46mdk
- Add patch185 : fix konsole mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-45mdk
- Add patch184 : fix kdesktop grey background bug found by David Baudens

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-44mdk
- Add patch183 : fix klipper bug #41137 (backport from kde3.1cvs)

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-43mdk
- Fix "what's to do" menu entry

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-42mdk
- Add patch182 : fix kdm background dialogbox 

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-41mdk
- Add patch181 : Fix bg dialogbox (disable ok button)

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-40mdk
- Fix simplified menu

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-39mdk
- Add patch180 : fix kdesktop init paste action

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-38mdk
- Add patch179 : Fix select multi-wallpaper dialogbox

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-37mdk
- Fix rotate background

* Fri Aug 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-36mdk
- Fix patch178 : apply good directory permission

* Fri Aug 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-35mdk
- Add patch178 : patch from David Faure : Fix move to trash when
trash doesn't exist

* Fri Aug 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-34mdk
- Add patch177 : fix kicker->extention->kaskbar load config

* Fri Aug 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-33mdk
- Add patch176 : fix bg setting 

* Fri Aug 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-32mdk
- Update code from CVS fix kdm bugs

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-31mdk
- Add patch175 : fix kcontrol->panel->extention change label state

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-30mdk
- Add patch174 : fix disable label in kcontrol->panel

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-29mdk
- Fix patch173 : fix with childpanel 

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-28mdk
- Add patch173 : Fix kicker remove button

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-27mdk
- Fix source106 don't lock screensaver by default.
- Remove requires on krozat (make happy Pixel)

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-26mdk
- Add patch172 : fix kdesktop lock fix

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-25mdk
- Add patch171 : fix konq->behaviour default value

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-24mdk
- Add patch170 : fix mem leak in kdesktop

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-23mdk
- Fix source106 : add MDK screensaver as default

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-22mdk
- Add patch169 : fix konsole : don't clear selection when we switch session

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-21mdk
- Add patch168 : fix tooltips bug reported on cooker 

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-20mdk
- Add patch167 : fix icons position when we change fonts Patch from David Faure

* Mon Aug 26 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-19mdk
- Fix bookmarks

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-18mdk
- Fix patch166

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-17mdk
- Add patch166 : fix mem leak in kxkb

* Sun Aug 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-16mdk
- Add patch165 : fix konsole bug #37890 (bacport from kde3.1cvs)

* Sun Aug 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-15mdk
- Add patch154 : fix mem leak in kcontrol->konq->behaviour
- Add patch155 : fix mem leak in kcontrol->konq->main
- Add patch156 : fix mem leak in kicker
- Add patch157 : fix mem leak in kcmaudiocd
- Add patch158 : fix mem leak in kioslave->smb
- Add patch159 : fix mem leak in kioslave->smbro
- Add patch160 : fix mem leak in kpersonalizer
- Add patch161 : fix second mem leak in kpersonalizer
- Add patch162 : fix mem leak in kate
- Add patch163 : fix second mem leak in kate
- Add patch164 : fix third mem leak in kpersonalizer

* Sat Aug 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-14mdk
- Add patch153 : fix nsplugins + gcc-3.2 konqueror can load plugins netscape (flash etc...)

* Sat Aug 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-13mdk
- Add patch152 : fix mem leak in kfind

* Sat Aug 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-12mdk
- Fix patch146

* Sat Aug 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-11mdk
- Add patch145 : enable by default screensaver
- Add patch146 : fix default "window behavior" config
- Add patch147 : fix default "mouse" config
- Add patch148 : fix mem leak in kcmkonsole
- Add patch149 : fix second mem leak in kcmkonsole
- Add patch150 : fix third mem leak in kcmkonsole
- Add patch151 : fix big mem leak into bgsetting

* Fri Aug 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-10mdk
- Add patch144 : Remove non-exist signal in konqueror->sidebar

* Fri Aug 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-9mdk
- Update code : .desktop updated / fix bug in konqueror.
- Add patch143 : default konqueror page point to /usr/share/doc/html/index.html

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-8mdk
- Update bookmarks

* Thu Aug 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add patch142 : Fix kdm default icons directory

* Wed Aug 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch141 : Fix rename file in konqueror


* Wed Aug 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch140 : Don't resize konsole when we reset it

* Tue Aug 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch139 : remove kontour as default apps in kicker

* Tue Aug 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch138 : Use localedrake to change system language

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch137 : Add logout without confirmation used by krootwarning

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-36mdk
- Fix : no replace kdmrc

* Fri Aug 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.2-35mdk
- Fix startkde

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-34mdk
- Fix update from 8.2

* Mon Aug 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-33mdk
- Fix spec file

* Sat Aug 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-32mdk
- Add patch136 : Sync default mdk color between colors and kde theme.
- Fix patch133 : default mdk color.
- Update code from kde_3_0_branch

* Fri Aug 02 2002 David Baudens <baudens@mandrakesoft.com> 3.0.2-31mdk
- Remove Mandrake Documentation from Desktop & add a test for Mandrake Club
- Update code from kde_3_0_BRANCH (Laurent Montel)

* Thu Aug 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-30mdk
- Fix kups script.

* Thu Aug 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-29mdk
- Add default Document path

* Wed Jul 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-28mdk
- Fix conflict with mandrake_desk

* Wed Jul 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-27mdk
- Remove kdm-mdk-logo => move to mandrake_desk
- Add requires on mandrake_desk.

* Wed Jul 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-26mdk
- Add patch134 : Add option to kdesu to display or not "Ignore button" patch requested by Pixel
- Fix kdesktop-links (patch from David Baudens )
- Remove mdk icons. => move to mandrake_desk

* Wed Jul 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-25mdk
- kdebase-devel requires kdelibs-devel
- Add patch133 : default kde color (title color/select color)

* Tue Jul 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-24mdk
- Add patch132 : Don't show date in clock applet by default
- Don't start "Kandalf's Useful Tips"
- Fix kdm background wallpaper config

* Mon Jul 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-23mdk
- Add patch131 : Bug reported on cooker by Christopher Lynch <linuxhelp@comcast.net>, pb when we write "Percentage of desktop width/height..."
- Remove menu entry with "NO_XALF" 

* Sun Jul 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-22mdk
- Fix menu entry for kcmkonsole.

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-21mdk
- Update code from CVS (fix crash in konsole etc...)

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-20mdk
- Add patch130 fix kcontrol->key default value.
- Fix startkde don't launch kpersonalizer

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-19mdk
- Fix buildfor9_0
- Add patch from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 
- Set QTDIR accordingly
- Search for qt/kde libraries in the right directories
- Rpmlint fixes: configure-without-libdir-spec

* Mon Jul 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-18mdk
- Add patch128 : fix save config background image type

* Mon Jul 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-17mdk
- Update code from CVS
- Rebuild against new libvorbis

* Sun Jul 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-16mdk
- Change perl script to use perl-base.

* Sat Jul 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-15mdk
- Add patch 126 fix default background config.
- Add patch 127 fix default kdm background config

* Fri Jul 19 2002 David Baudens <baudens@mandrakesoft.com> 3.0.2-14mdk
- Update kdmrc

* Wed Jul 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-13mdk
- Change default icon.
- Change kde session name kde->KDE

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-12mdk
- Add patch125 : fix mem leak in kate

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-11mdk
- Add patch124 : disable ok button in kate search dialogbox when text is empty

* Mon Jul 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-10mdk
- Add patch123 : disable "show file tips " by default

* Mon Jul 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-9mdk
- Fix patch75 : patch for startkde for non ix86

* Sun Jul 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-8mdk
- Add patch122 : fix kcontrol -> socks default value

* Sat Jul 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Add patch120 : fix default file size preview (2Mo)
- Add patch121 : fix default windows moving anim

* Mon Jul 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Fix menu-method bug reported by 
  Borsenkow Andrej <Andrej.Borsenkow@mow.siemens.ru>

* Sat Jul 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Add freetype2-devel build requires again found by 
Borsenkow Andrej <Andrej.Borsenkow@mow.siemens.ru> thanks

* Sat Jul 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Remove hardcoded path for lesstif.
- Fix buildrequires

* Fri Jul 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Fix source 1000
- Fix build Requires
- Update code from KDE_3_0_BRANCH

* Mon Jul 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Move .kde3 -> .kde

* Sat Jun 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Fri Jun 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-16mdk
- Reactivate debug

* Wed Jun 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-15mdk
- Rebuild


* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-14mdk
- Rebuild

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-13mdk
- Requires krootwarning, krozat

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-12mdk
- Requires mandrake_desk

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-11mdk
- Fix kdmrc bugs as reported on cooker

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-10mdk
- Fix obsolete kdebase3 package par from Alexander Skwar <ASkwar@DigitalProjects.com> 

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-9mdk
- Fix menu entry

* Sat May 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-8mdk
- Fix buildrequires
- Obsoletes kfontinst

* Wed May 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Rebuild with new gcc3.1

* Wed May 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Fix spec file

* Mon May 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Fix spec file

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Fix spec file

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix spec file

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kde2.x

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-22mdk
- Add missing menu entry

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-21mdk
- Rebuild against gcc3.1

* Tue May 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-20mdk
- Add patch 75 rewritten by Stew Benedict <sbenedict@mandrakesoft.com> for ppc
- Add buildconflict kdebase3

* Fri May 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-19mdk
- Update code from kde3_0_branch
- Add build requires found by Stew Benedict 

* Wed Apr 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-18mdk
- Fix patch 70 (patch for startkde in 8.0 )

* Wed Apr 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-17mdk
- Add patch 70->76 (patch startkde)

* Tue Apr 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-16mdk
- Add qtcups/lpr-kprinter link
- Add desktop links etc...

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-15mdk
- Reactivate patch54.

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-14mdk
- Rebuild against libalsa2

* Wed Apr 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-13mdk
- Reactivate patch 51 ( kdm default value)
- Reactivate patch 52 ( kdm session )
- Reactivate patch 53 ( kdm config )
- Readd SOURCE354 kcontrol ppc fix ( I can't test it, I doesn't have ppc )
- Reactivate patch 60 (cookies conf )

* Mon Apr 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-12mdk
- Readd patch40/41
- Update from KDE_3_0_BRANCH

* Mon Apr 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-11mdk
- remove duplicate menu entry found by Texstar thanks a lot

* Sun Apr 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-10mdk
- Reactivate task menu
- Readd all menu method (for 8.0/8.1/8.2/8.3)

* Sat Apr 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-9mdk
- Apply patch100 just for 8.2 and 8.3

* Sat Apr 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-8mdk
- Add patch 100 file sharing
- Fix menu-method (now we use .kde3 and not .kde )
- Readd icon share directory
- Readd update-alternative
- Readd Source800->806 (link to MDK web site)

* Sun Apr 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-7mdk
- Fix compile on 8.0

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- REmove '-fomit-frame-pointer'

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Fix update-menu

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Fix spec file for 8.3
- Add applnk-mdk and applnk-mdk-simplified
- Add simplified menu for 8.3

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- nobody -> nogroup
- Reactivate patch1
- Reactivate patch21
- Remove patch22
- Reactivate patch25
- Reactivate patch24

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- fix spec file for 8.0

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- KDE3.0

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.4mdk
- Fix build requires for 8.1

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- Fix build requires on MDK8.2

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.2mdk
- Fix spec file

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Thu Mar 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- RC2

* Sat Jan 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Mon Jan 14 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.10mdk
- Fix /etc/profile.d/kde3.sh
- Enhance %%post message
- Use ~/.kde3 instead ~/.kde

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.9mdk
- Fix problems with %%_datadir/faces on installations/upgrades

* Sun Dec 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.8mdk
- Fix previous changelog
- Allow KDE 2 and KDE 3 to be installed in same time (lot of changes, see CVS
  for details)
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Remove 7.2 support
- Don't own standard directories
- Clean %%files section (make them readable again using alphabetic order)

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.7mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Tue Dec 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-7mdk
- Add startkde3

* Fri Dec 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-6mdk
- Remove requires krootwarning

* Thu Dec 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-5mdk
- fix mdk menu

* Sun Dec 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-4mdk
- Reapply some patch

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0beta1

* Wed Nov 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Some fix

* Thu Nov 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
